package com.winhc.bigdata.bean;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2020/12/28 10:08
 */
public class Category {
    private String cateFirstCode;
    private String cateFirst;
    private String cateSecondCode;
    private String cateSecond;
    private String cateThirdCode;
    private String cateThird;

    private Category(String cateFirstCode, String cateFirst, String cateSecondCode, String cateSecond, String cateThirdCode, String cateThird) {
        this.cateFirstCode = cateFirstCode;
        this.cateFirst = cateFirst;
        this.cateSecondCode = cateSecondCode;
        this.cateSecond = cateSecond;
        this.cateThirdCode = cateThirdCode;
        this.cateThird = cateThird;
    }

    public static final Category NONE_TYPE = new Category("", "", "", "", "", "");
    public static final Map<String, Category> CATEGORY_MAP = new HashMap<String, Category>() {
        {
            put("515", new Category("20", "批发和零售业", "81", "批发业", "177", "医药及医疗器材批发"));
            put("619", new Category("21", "住宿和餐饮业", "93", "住宿业", "372", "其他住宿业"));
            put("563", new Category("16", "交通运输、仓储和邮政业", "16", "航空运输业", "192", "航空运输辅助活动"));
            put("381", new Category("11", "制造业", "82", "电气机械和器材制造业", "456", "电机制造"));
            put("874", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "116", "文物及非物质文化遗产保护"));
            put("169", new Category("11", "制造业", "96", "烟草制品业", "500", "其他烟草制品制造"));
            put("120", new Category("14", "采矿业", "72", "其他采矿业", "283", "其他采矿业"));
            put("193", new Category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "457", "毛皮鞣制及制品加工"));
            put("302", new Category("11", "制造业", "73", "非金属矿物制品业", "315", "石膏、水泥制品及类似制品制造"));
            put("153", new Category("11", "制造业", "47", "酒、饮料和精制茶制造业", "168", "精制茶加工"));
            put("335", new Category("11", "制造业", "64", "金属制品业", "241", "建筑、安全用金属制品制造"));
            put("735", new Category("27", "科学研究和技术服务业", "61", "研究和试验发展", "509", "社会人文科学研究"));
            put("664", new Category("24", "金融业", "45", "货币金融服务", "488", "银行监管服务"));
            put("93", new Category("14", "采矿业", "36", "有色金属矿采选业", "105", "稀有稀土金属矿采选"));
            put("142", new Category("11", "制造业", "40", "食品制造业", "518", "糖果、巧克力及蜜饯制造"));
            put("182", new Category("11", "制造业", "38", "纺织服装、服饰业", "186", "针织或钩针编织服装制造"));
            put("686", new Category("24", "金融业", "34", "保险业", "272", "保险监管服务"));
            put("544", new Category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "411", "道路运输辅助活动"));
            put("436", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "414", "仪器仪表修理"));
            put("862", new Category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "520", "电视"));
            put("836", new Category("23", "卫生和社会工作", "32", "卫生", "107", "专科疾病防治院（所、站）"));
            put("12", new Category("29", "农、林、牧、渔业", "62", "农业", "370", "豆类、油料和薯类种植"));
            put("223", new Category("11", "制造业", "39", "造纸和纸制品业", "519", "纸制品制造"));
            put("541", new Category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "314", "城市公共交通运输"));
            put("822", new Category("25", "教育", "19", "教育", "508", "初等教育"));
            put("89", new Category("14", "采矿业", "28", "黑色金属矿采选业", "181", "其他黑色金属矿采选"));
            put("51", new Category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "268", "农业服务业"));
            put("833", new Category("23", "卫生和社会工作", "32", "卫生", "199", "门诊部（所）"));
            put("689", new Category("24", "金融业", "34", "保险业", "479", "其他保险活动"));
            put("941", new Category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "369", "群众团体"));
            put("411", new Category("11", "制造业", "67", "其他制造业", "527", "日用杂品制造"));
            put("307", new Category("11", "制造业", "73", "非金属矿物制品业", "289", "陶瓷制品制造"));
            put("501", new Category("12", "建筑业", "20", "建筑装饰和其他建筑业", "288", "建筑装饰业"));
            put("519", new Category("20", "批发和零售业", "81", "批发业", "466", "其他批发业"));
            put("276", new Category("11", "制造业", "53", "医药制造业", "516", "生物药品制造"));
            put("881", new Category("18", "文化、体育和娱乐业", "13", "体育", "202", "体育组织"));
            put("526", new Category("20", "批发和零售业", "60", "零售业", "430", "汽车、摩托车、燃料及零配件专门零售"));
            put("794", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "345", "理发及美容服务"));
            put("649", new Category("10", "信息传输、软件和信息技术服务业", "94", "互联网和相关服务", "497", "其他互联网服务"));
            put("952", new Category("19", "公共管理、社会保障和社会组织", "21", "基层群众自治组织", "442", "村民自治组织"));
            put("461", new Category("22", "电力、热力、燃气及水生产和供应业", "83", "水的生产和供应业", "408", "自来水生产和供应"));
            put("324", new Category("11", "制造业", "76", "有色金属冶炼和压延加工业", "384", "有色金属合金制造"));
            put("332", new Category("11", "制造业", "64", "金属制品业", "515", "金属工具制造"));
            put("175", new Category("11", "制造业", "12", "纺织业", "309", "化纤织造及印染精加工"));
            put("19", new Category("29", "农、林、牧、渔业", "62", "农业", "410", "其他农业"));
            put("313", new Category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "319", "黑色金属铸造"));
            put("724", new Category("28", "租赁和商务服务业", "63", "商务服务业", "189", "广告业"));
            put("362", new Category("11", "制造业", "101", "汽车制造业", "149", "改装汽车制造"));
            put("265", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "386", "合成材料制造"));
            put("732", new Category("27", "科学研究和技术服务业", "61", "研究和试验发展", "438", "工程和技术研究和试验发展"));
            put("23", new Category("29", "农、林、牧、渔业", "102", "林业", "318", "森林经营和管护"));
            put("433", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "251", "专用设备修理"));
            put("62", new Category("14", "采矿业", "98", "煤炭开采和洗选业", "209", "褐煤开采洗选"));
            put("552", new Category("16", "交通运输、仓储和邮政业", "77", "水上运输业", "195", "水上货物运输"));
            put("321", new Category("11", "制造业", "76", "有色金属冶炼和压延加工业", "226", "常用有色金属冶炼"));
            put("135", new Category("11", "制造业", "51", "农副食品加工业", "257", "屠宰及肉类加工"));
            put("343", new Category("11", "制造业", "31", "通用设备制造业", "299", "物料搬运设备制造"));
            put("404", new Category("11", "制造业", "52", "仪器仪表制造业", "214", "光学仪器及眼镜制造"));
            put("523", new Category("20", "批发和零售业", "60", "零售业", "101", "纺织、服装及日用品专门零售"));
            put("829", new Category("25", "教育", "19", "教育", "376", "技能培训、教育辅助及其他教育"));
            put("421", new Category("11", "制造业", "71", "废弃资源综合利用业", "504", "金属废料和碎屑加工处理"));
            put("702", new Category("26", "房地产业", "43", "房地产业", "127", "物业管理"));
            put("450", new Category("22", "电力、热力、燃气及水生产和供应业", "80", "燃气生产和供应业", "407", "燃气生产和供应业"));
            put("674", new Category("24", "金融业", "86", "资本市场服务", "301", "资本投资服务"));
            put("798", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "380", "殡葬服务"));
            put("373", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "220", "船舶及相关装置制造"));
            put("762", new Category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "434", "水资源管理"));
            put("469", new Category("22", "电力、热力、燃气及水生产和供应业", "83", "水的生产和供应业", "247", "其他水的处理、利用与分配"));
            put("721", new Category("28", "租赁和商务服务业", "63", "商务服务业", "250", "企业管理服务"));
            put("783", new Category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "492", "城乡市容管理"));
            put("944", new Category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "379", "宗教组织"));
            put("743", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "468", "海洋服务"));
            put("681", new Category("24", "金融业", "34", "保险业", "129", "人身保险"));
            put("481", new Category("12", "建筑业", "104", "土木工程建筑业", "222", "铁路、道路、隧道和桥梁工程建筑"));
            put("15", new Category("29", "农、林、牧、渔业", "62", "农业", "225", "水果种植"));
            put("11", new Category("29", "农、林、牧、渔业", "62", "农业", "278", "谷物种植"));
            put("892", new Category("18", "文化、体育和娱乐业", "37", "娱乐业", "152", "游乐园"));
            put("851", new Category("18", "文化、体育和娱乐业", "54", "新闻和出版业", "321", "新闻业"));
            put("396", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "530", "电子器件制造"));
            put("141", new Category("11", "制造业", "40", "食品制造业", "166", "焙烤食品制造"));
            put("139", new Category("11", "制造业", "51", "农副食品加工业", "293", "其他农副食品加工"));
            put("181", new Category("11", "制造业", "38", "纺织服装、服饰业", "474", "机织服装制造"));
            put("802", new Category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "523", "计算机和办公设备维修"));
            put("132", new Category("11", "制造业", "51", "农副食品加工业", "190", "饲料加工"));
            put("746", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "323", "环境与生态监测"));
            put("751", new Category("27", "科学研究和技术服务业", "97", "科技推广和应用服务业", "131", "技术推广服务"));
            put("201", new Category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "342", "木材加工"));
            put("825", new Category("25", "教育", "19", "教育", "367", "特殊教育"));
            put("385", new Category("11", "制造业", "82", "电气机械和器材制造业", "478", "家用电力器具制造"));
            put("33", new Category("29", "农、林、牧、渔业", "95", "畜牧业", "491", "狩猎和捕捉动物"));
            put("273", new Category("11", "制造业", "53", "医药制造业", "320", "中药饮片加工"));
            put("492", new Category("12", "建筑业", "59", "建筑安装业", "514", "管道和设备安装"));
            put("346", new Category("11", "制造业", "31", "通用设备制造业", "267", "烘炉、风机、衡器、包装等设备制造"));
            put("919", new Category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "230", "其他国家机构"));
            put("351", new Category("11", "制造业", "55", "专用设备制造业", "154", "采矿、冶金、建筑专用设备制造"));
            put("692", new Category("24", "金融业", "90", "其他金融业", "406", "控股公司服务"));
            put("291", new Category("11", "制造业", "103", "橡胶和塑料制品业", "305", "橡胶制品业"));
            put("866", new Category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "121", "录音制作"));
            put("262", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "265", "肥料制造"));
            put("470", new Category("12", "建筑业", "18", "房屋建筑业", "330", "房屋建筑业"));
            put("769", new Category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "354", "其他水利管理业"));
            put("399", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "415", "其他电子设备制造"));
            put("392", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "307", "通信设备制造"));
            put("22", new Category("29", "农、林、牧、渔业", "102", "林业", "327", "造林和更新"));
            put("727", new Category("28", "租赁和商务服务业", "63", "商务服务业", "413", "旅行社及相关服务"));
            put("212", new Category("11", "制造业", "66", "家具制造业", "173", "竹、藤家具制造"));
            put("512", new Category("20", "批发和零售业", "81", "批发业", "366", "食品、饮料及烟草制品批发"));
            put("602", new Category("16", "交通运输、仓储和邮政业", "65", "邮政业", "196", "快递服务"));
            put("393", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "180", "广播电视设备制造"));
            put("821", new Category("25", "教育", "19", "教育", "227", "学前教育"));
            put("303", new Category("11", "制造业", "73", "非金属矿物制品业", "312", "砖瓦、石材等建筑材料制造"));
            put("134", new Category("11", "制造业", "51", "农副食品加工业", "182", "制糖业"));
            put("244", new Category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "206", "体育用品制造"));
            put("679", new Category("24", "金融业", "86", "资本市场服务", "351", "其他资本市场服务"));
            put("174", new Category("11", "制造业", "12", "纺织业", "512", "丝绢纺织及印染精加工"));
            put("361", new Category("11", "制造业", "101", "汽车制造业", "405", "汽车整车制造"));
            put("382", new Category("11", "制造业", "82", "电气机械和器材制造业", "363", "输配电及控制设备制造"));
            put("242", new Category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "390", "乐器制造"));
            put("623", new Category("21", "住宿和餐饮业", "100", "餐饮业", "364", "饮料及冷饮服务"));
            put("61", new Category("14", "采矿业", "98", "煤炭开采和洗选业", "218", "烟煤和无烟煤开采洗选"));
            put("491", new Category("12", "建筑业", "59", "建筑安装业", "464", "电气安装"));
            put("356", new Category("11", "制造业", "55", "专用设备制造业", "341", "电子和电工机械专用设备制造"));
            put("336", new Category("11", "制造业", "64", "金属制品业", "239", "金属表面处理及热处理加工"));
            put("13", new Category("29", "农、林、牧、渔业", "62", "农业", "426", "棉、麻、糖、烟草种植"));
            put("509", new Category("12", "建筑业", "20", "建筑装饰和其他建筑业", "276", "其他未列明建筑业"));
            put("728", new Category("28", "租赁和商务服务业", "63", "商务服务业", "409", "安全保护服务"));
            put("325", new Category("11", "制造业", "76", "有色金属冶炼和压延加工业", "353", "有色金属铸造"));
            put("877", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "147", "群众文化活动"));
            put("516", new Category("20", "批发和零售业", "81", "批发业", "282", "矿产品、建材及化工产品批发"));
            put("865", new Category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "215", "电影放映"));
            put("177", new Category("11", "制造业", "12", "纺织业", "259", "家用纺织制成品制造"));
            put("837", new Category("23", "卫生和社会工作", "32", "卫生", "421", "疾病预防控制中心"));
            put("441", new Category("22", "电力、热力、燃气及水生产和供应业", "74", "电力、热力生产和供应业", "440", "电力生产"));
            put("24", new Category("29", "农、林、牧、渔业", "102", "林业", "286", "木材和竹材采运"));
            put("253", new Category("11", "制造业", "70", "石油加工、炼焦和核燃料加工业", "208", "核燃料加工"));
            put("527", new Category("20", "批发和零售业", "60", "零售业", "274", "家用电器及电子产品专门零售"));
            put("661", new Category("24", "金融业", "45", "货币金融服务", "104", "中央银行服务"));
            put("899", new Category("18", "文化、体育和娱乐业", "37", "娱乐业", "184", "其他娱乐业"));
            put("314", new Category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "529", "钢压延加工"));
            put("233", new Category("11", "制造业", "87", "印刷和记录媒介复制业", "280", "记录媒介复制"));
            put("306", new Category("11", "制造业", "73", "非金属矿物制品业", "313", "玻璃纤维和玻璃纤维增强塑料制品制造"));
            put("16", new Category("29", "农、林、牧、渔业", "62", "农业", "170", "坚果、含油果、香料和饮料作物种植"));
            put("725", new Category("28", "租赁和商务服务业", "63", "商务服务业", "273", "知识产权服务"));
            put("772", new Category("15", "水利、环境和公共设施管理业", "42", "生态保护和环境治理业", "143", "环境治理业"));
            put("379", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "334", "潜水救捞及其他未列明运输设备制造"));
            put("731", new Category("27", "科学研究和技术服务业", "61", "研究和试验发展", "266", "自然科学研究和试验发展"));
            put("192", new Category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "355", "皮革制品制造"));
            put("553", new Category("16", "交通运输、仓储和邮政业", "77", "水上运输业", "114", "水上运输辅助活动"));
            put("761", new Category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "138", "防洪除涝设施管理"));
            put("784", new Category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "240", "绿化管理"));
            put("341", new Category("11", "制造业", "31", "通用设备制造业", "328", "锅炉及原动设备制造"));
            put("152", new Category("11", "制造业", "47", "酒、饮料和精制茶制造业", "490", "饮料制造"));
            put("781", new Category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "164", "市政设施管理"));
            put("832", new Category("23", "卫生和社会工作", "32", "卫生", "449", "社区医疗与卫生院"));
            put("951", new Category("19", "公共管理、社会保障和社会组织", "21", "基层群众自治组织", "417", "社区自治组织"));
            put("231", new Category("11", "制造业", "87", "印刷和记录媒介复制业", "506", "印刷"));
            put("599", new Category("16", "交通运输、仓储和邮政业", "79", "仓储业", "362", "其他仓储业"));
            put("873", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "432", "图书馆与档案馆"));
            put("861", new Category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "469", "广播"));
            put("103", new Category("14", "采矿业", "99", "非金属矿采选业", "391", "采盐"));
            put("112", new Category("14", "采矿业", "69", "开采辅助活动", "382", "石油和天然气开采辅助活动"));
            put("72", new Category("14", "采矿业", "75", "石油和天然气开采业", "242", "天然气开采"));
            put("268", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "443", "日用化学产品制造"));
            put("387", new Category("11", "制造业", "82", "电气机械和器材制造业", "269", "照明器具制造"));
            put("801", new Category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "117", "汽车、摩托车修理与维护"));
            put("274", new Category("11", "制造业", "53", "医药制造业", "333", "中成药生产"));
            put("900", new Category("19", "公共管理、社会保障和社会组织", "30", "中国共产党机关", "344", "中国共产党机关"));
            put("631", new Category("10", "信息传输、软件和信息技术服务业", "85", "电信、广播电视和卫星传输服务", "444", "电信"));
            put("353", new Category("11", "制造业", "55", "专用设备制造业", "453", "食品、饮料、烟草及饲料生产专用设备制造　　　"));
            put("522", new Category("20", "批发和零售业", "60", "零售业", "350", "食品、饮料及烟草制品专门零售"));
            put("144", new Category("11", "制造业", "40", "食品制造业", "252", "乳制品制造"));
            put("913", new Category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "295", "人民法院和人民检察院"));
            put("703", new Category("26", "房地产业", "43", "房地产业", "264", "房地产中介服务"));
            put("742", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "150", "地震服务"));
            put("263", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "483", "农药制造"));
            put("375", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "505", "摩托车制造"));
            put("281", new Category("11", "制造业", "33", "化学纤维制造业", "302", "纤维素纤维原料及纤维制造"));
            put("601", new Category("16", "交通运输、仓储和邮政业", "65", "邮政业", "400", "邮政基本服务"));
            put("403", new Category("11", "制造业", "52", "仪器仪表制造业", "392", "钟表与计时仪器制造"));
            put("422", new Category("11", "制造业", "71", "废弃资源综合利用业", "437", "非金属废料和碎屑加工处理"));
            put("21", new Category("29", "农、林、牧、渔业", "102", "林业", "399", "林木育种和育苗"));
            put("484", new Category("12", "建筑业", "104", "土木工程建筑业", "513", "工矿工程建筑"));
            put("533", new Category("16", "交通运输、仓储和邮政业", "48", "铁路运输业", "385", "铁路运输辅助活动"));
            put("419", new Category("11", "制造业", "67", "其他制造业", "254", "其他未列明制造业"));
            put("372", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "109", "城市轨道交通设备制造"));
            put("347", new Category("11", "制造业", "31", "通用设备制造业", "459", "文化、办公用机械制造"));
            put("54", new Category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "112", "渔业服务业"));
            put("511", new Category("20", "批发和零售业", "81", "批发业", "174", "农、林、牧产品批发"));
            put("747", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "332", "地质勘查"));
            put("339", new Category("11", "制造业", "64", "金属制品业", "151", "其他金属制品制造"));
            put("889", new Category("18", "文化、体育和娱乐业", "13", "体育", "324", "其他体育"));
            put("561", new Category("16", "交通运输、仓储和邮政业", "16", "航空运输业", "373", "航空客货运输"));
            put("729", new Category("28", "租赁和商务服务业", "63", "商务服务业", "171", "其他商务服务业"));
            put("653", new Category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "416", "信息技术咨询服务"));
            put("792", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "428", "托儿所服务"));
            put("612", new Category("21", "住宿和餐饮业", "93", "住宿业", "450", "一般旅馆"));
            put("71", new Category("14", "采矿业", "75", "石油和天然气开采业", "176", "石油开采"));
            put("642", new Category("10", "信息传输、软件和信息技术服务业", "94", "互联网和相关服务", "461", "互联网信息服务"));
            put("213", new Category("11", "制造业", "66", "家具制造业", "463", "金属家具制造"));
            put("292", new Category("11", "制造业", "103", "橡胶和塑料制品业", "193", "塑料制品业"));
            put("202", new Category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "167", "人造板制造"));
            put("691", new Category("24", "金融业", "90", "其他金融业", "256", "金融信托与管理服务"));
            put("921", new Category("19", "公共管理、社会保障和社会组织", "27", "人民政协、民主党派", "205", "人民政协"));
            put("364", new Category("11", "制造业", "101", "汽车制造业", "503", "电车制造"));
            put("32", new Category("29", "农、林、牧、渔业", "95", "畜牧业", "130", "家禽饲养"));
            put("434", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "141", "铁路、船舶、航空航天等运输设备修理"));
            put("219", new Category("11", "制造业", "66", "家具制造业", "102", "其他家具制造"));
            put("834", new Category("23", "卫生和社会工作", "32", "卫生", "172", "计划生育技术服务活动"));
            put("252", new Category("11", "制造业", "70", "石油加工、炼焦和核燃料加工业", "445", "炼焦"));
            put("137", new Category("11", "制造业", "51", "农副食品加工业", "126", "蔬菜、水果和坚果加工"));
            put("431", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "462", "金属制品修理"));
            put("82", new Category("14", "采矿业", "28", "黑色金属矿采选业", "528", "锰矿、铬矿采选"));
            put("876", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "348", "烈士陵园、纪念馆"));
            put("413", new Category("11", "制造业", "67", "其他制造业", "477", "核辐射加工"));
            put("383", new Category("11", "制造业", "82", "电气机械和器材制造业", "336", "电线、电缆、光缆及电工器材制造"));
            put("532", new Category("16", "交通运输、仓储和邮政业", "48", "铁路运输业", "200", "铁路货物运输"));
            put("241", new Category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "284", "文教办公用品制造"));
            put("386", new Category("11", "制造业", "82", "电气机械和器材制造业", "136", "非电力家用器具制造"));
            put("348", new Category("11", "制造业", "31", "通用设备制造业", "169", "通用零部件制造"));
            put("883", new Category("18", "文化、体育和娱乐业", "13", "体育", "524", "休闲健身活动"));
            put("337", new Category("11", "制造业", "64", "金属制品业", "398", "搪瓷制品制造"));
            put("39", new Category("29", "农、林、牧、渔业", "95", "畜牧业", "489", "其他畜牧业"));
            put("785", new Category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "310", "公园和游览景区管理"));
            put("582", new Category("16", "交通运输、仓储和邮政业", "25", "装卸搬运和运输代理业", "482", "运输代理业"));
            put("409", new Category("11", "制造业", "52", "仪器仪表制造业", "473", "其他仪器仪表制造业"));
            put("759", new Category("27", "科学研究和技术服务业", "97", "科技推广和应用服务业", "393", "其他科技推广和应用服务业"));
            put("912", new Category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "298", "国家行政机构"));
            put("864", new Category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "118", "电影和影视节目发行"));
            put("173", new Category("11", "制造业", "12", "纺织业", "431", "麻纺织及染整精加工"));
            put("17", new Category("29", "农、林、牧、渔业", "62", "农业", "365", "中药材种植"));
            put("745", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "140", "质检技术服务"));
            put("799", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "455", "其他居民服务业"));
            put("267", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "507", "炸药、火工及焰火产品制造"));
            put("771", new Category("15", "水利、环境和公共设施管理业", "42", "生态保护和环境治理业", "187", "生态保护"));
            put("394", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "258", "雷达及配套设备制造"));
            put("221", new Category("11", "制造业", "39", "造纸和纸制品业", "236", "纸浆制造"));
            put("25", new Category("29", "农、林、牧、渔业", "102", "林业", "275", "林产品采集"));
            put("943", new Category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "378", "基金会"));
            put("397", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "203", "电子元件制造"));
            put("14", new Category("29", "农、林、牧、渔业", "62", "农业", "433", "蔬菜、食用菌及园艺作物种植"));
            put("133", new Category("11", "制造业", "51", "农副食品加工业", "161", "植物油加工"));
            put("823", new Category("25", "教育", "19", "教育", "531", "中等教育"));
            put("521", new Category("20", "批发和零售业", "60", "零售业", "525", "综合零售"));
            put("391", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "223", "计算机制造"));
            put("872", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "458", "艺术表演场馆"));
            put("704", new Category("26", "房地产业", "43", "房地产业", "316", "自有房地产经营活动"));
            put("309", new Category("11", "制造业", "73", "非金属矿物制品业", "255", "石墨及其他非金属矿物制品制造"));
            put("111", new Category("14", "采矿业", "69", "开采辅助活动", "165", "煤炭开采和洗选辅助活动"));
            put("102", new Category("14", "采矿业", "99", "非金属矿采选业", "467", "化学矿开采"));
            put("31", new Category("29", "农、林、牧、渔业", "95", "畜牧业", "111", "牲畜饲养"));
            put("69", new Category("14", "采矿业", "98", "煤炭开采和洗选业", "377", "其他煤炭采选"));
            put("622", new Category("21", "住宿和餐饮业", "100", "餐饮业", "253", "快餐服务"));
            put("503", new Category("12", "建筑业", "20", "建筑装饰和其他建筑业", "224", "提供施工设备服务"));
            put("162", new Category("11", "制造业", "96", "烟草制品业", "360", "卷烟制造"));
            put("442", new Category("22", "电力、热力、燃气及水生产和供应业", "74", "电力、热力生产和供应业", "160", "电力供应"));
            put("344", new Category("11", "制造业", "31", "通用设备制造业", "221", "泵、阀门、压缩机及类似机械制造"));
            put("764", new Category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "135", "水文服务"));
            put("191", new Category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "142", "皮革鞣制加工"));
            put("701", new Category("26", "房地产业", "43", "房地产业", "465", "房地产开发经营"));
            put("151", new Category("11", "制造业", "47", "酒、饮料和精制茶制造业", "153", "酒的制造"));
            put("819", new Category("17", "居民服务、修理和其他服务业", "14", "其他服务业", "517", "其他未列明服务业"));
            put("245", new Category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "261", "玩具制造"));
            put("842", new Category("23", "卫生和社会工作", "57", "社会工作", "412", "不提供住宿社会工作"));
            put("662", new Category("24", "金融业", "45", "货币金融服务", "270", "货币银行服务"));
            put("322", new Category("11", "制造业", "76", "有色金属冶炼和压延加工业", "452", "贵金属冶炼"));
            put("145", new Category("11", "制造业", "40", "食品制造业", "249", "罐头食品制造"));
            put("315", new Category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "470", "铁合金冶炼"));
            put("741", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "211", "气象服务"));
            put("483", new Category("12", "建筑业", "104", "土木工程建筑业", "219", "海洋工程建筑"));
            put("264", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "235", "涂料、油墨、颜料及类似产品制造"));
            put("795", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "122", "洗浴服务"));
            put("439", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "248", "其他机械和设备修理业"));
            put("879", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "163", "其他文化艺术业"));
            put("214", new Category("11", "制造业", "66", "家具制造业", "175", "塑料家具制造"));
            put("53", new Category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "480", "畜牧服务业"));
            put("389", new Category("11", "制造业", "82", "电气机械和器材制造业", "339", "其他电气机械及器材制造"));
            put("694", new Category("24", "金融业", "90", "其他金融业", "232", "金融信息服务"));
            put("203", new Category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "521", "木制品制造"));
            put("525", new Category("20", "批发和零售业", "60", "零售业", "217", "医药及医疗器材专门零售"));
            put("42", new Category("29", "农、林、牧、渔业", "26", "渔业", "191", "水产捕捞"));
            put("528", new Category("20", "批发和零售业", "60", "零售业", "381", "五金、家具及室内装饰材料专门零售"));
            put("683", new Category("24", "金融业", "34", "保险业", "326", "再保险"));
            put("499", new Category("12", "建筑业", "59", "建筑安装业", "157", "其他建筑安装业"));
            put("246", new Category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "103", "游艺器材及娱乐用品制造"));
            put("517", new Category("20", "批发和零售业", "81", "批发业", "108", "机械设备、五金产品及电子产品批发"));
            put("195", new Category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "436", "制鞋业"));
            put("275", new Category("11", "制造业", "53", "医药制造业", "387", "兽用药品制造"));
            put("376", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "185", "自行车制造"));
            put("723", new Category("28", "租赁和商务服务业", "63", "商务服务业", "317", "咨询与调查"));
            put("308", new Category("11", "制造业", "73", "非金属矿物制品业", "383", "耐火材料制品制造"));
            put("109", new Category("14", "采矿业", "99", "非金属矿采选业", "188", "石棉及其他非金属矿采选"));
            put("149", new Category("11", "制造业", "40", "食品制造业", "216", "其他食品制造"));
            put("354", new Category("11", "制造业", "55", "专用设备制造业", "435", "印刷、制药、日化及日用品生产专用设备制造"));
            put("809", new Category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "238", "其他日用产品修理业"));
            put("326", new Category("11", "制造业", "76", "有色金属冶炼和压延加工业", "198", "有色金属压延加工"));
            put("178", new Category("11", "制造业", "12", "纺织业", "110", "非家用纺织制成品制造"));
            put("357", new Category("11", "制造业", "55", "专用设备制造业", "245", "农、林、牧、渔专用机械制造"));
            put("891", new Category("18", "文化、体育和娱乐业", "37", "娱乐业", "237", "室内娱乐活动"));
            put("365", new Category("11", "制造业", "101", "汽车制造业", "325", "汽车车身、挂车制造"));
            put("311", new Category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "234", "炼铁"));
            put("734", new Category("27", "科学研究和技术服务业", "61", "研究和试验发展", "460", "医学研究和试验发展"));
            put("542", new Category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "481", "公路旅客运输"));
            put("641", new Category("10", "信息传输、软件和信息技术服务业", "94", "互联网和相关服务", "260", "互联网接入及相关服务"));
            put("894", new Category("18", "文化、体育和娱乐业", "37", "娱乐业", "404", "文化、娱乐、体育经纪代理"));
            put("514", new Category("20", "批发和零售业", "81", "批发业", "133", "文化、体育用品及器材批发"));
            put("266", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "294", "专用化学产品制造"));
            put("831", new Category("23", "卫生和社会工作", "32", "卫生", "100", "医院"));
            put("591", new Category("16", "交通运输、仓储和邮政业", "79", "仓储业", "197", "谷物、棉花等农产品仓储"));
            put("402", new Category("11", "制造业", "52", "仪器仪表制造业", "472", "专用仪器仪表制造"));
            put("712", new Category("28", "租赁和商务服务业", "78", "租赁业", "213", "文化及日用品出租"));
            put("672", new Category("24", "金融业", "86", "资本市场服务", "395", "期货市场服务"));
            put("371", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "494", "铁路运输设备制造"));
            put("81", new Category("14", "采矿业", "28", "黑色金属矿采选业", "347", "铁矿采选"));
            put("652", new Category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "422", "信息系统集成服务"));
            put("611", new Category("21", "住宿和餐饮业", "93", "住宿业", "155", "旅游饭店"));
            put("791", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "271", "家庭服务"));
            put("271", new Category("11", "制造业", "53", "医药制造业", "441", "化学药品原料药制造"));
            put("304", new Category("11", "制造业", "73", "非金属矿物制品业", "420", "玻璃制造"));
            put("333", new Category("11", "制造业", "64", "金属制品业", "511", "集装箱及金属包装容器制造"));
            put("633", new Category("10", "信息传输、软件和信息技术服务业", "85", "电信、广播电视和卫星传输服务", "499", "卫星传输服务"));
            put("282", new Category("11", "制造业", "33", "化学纤维制造业", "132", "合成纤维制造"));
            put("277", new Category("11", "制造业", "53", "医药制造业", "403", "卫生材料及医药用品制造"));
            put("659", new Category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "120", "其他信息技术服务业"));
            put("338", new Category("11", "制造业", "64", "金属制品业", "178", "金属制日用品制造"));
            put("922", new Category("19", "公共管理、社会保障和社会组织", "27", "人民政协、民主党派", "502", "民主党派"));
            put("699", new Category("24", "金融业", "90", "其他金融业", "212", "其他未列明金融业"));
            put("871", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "510", "文艺创作与表演"));
            put("685", new Category("24", "金融业", "34", "保险业", "229", "保险经纪与代理服务"));
            put("482", new Category("12", "建筑业", "104", "土木工程建筑业", "375", "水利和内河港口工程建筑"));
            put("562", new Category("16", "交通运输、仓储和邮政业", "16", "航空运输业", "106", "通用航空服务"));
            put("531", new Category("16", "交通运输、仓储和邮政业", "48", "铁路运输业", "471", "铁路旅客运输"));
            put("395", new Category("11", "制造业", "46", "计算机、通信和其他电子设备制造业", "304", "视听设备制造"));
            put("748", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "262", "工程技术"));
            put("171", new Category("11", "制造业", "12", "纺织业", "329", "棉纺织及印染精加工"));
            put("345", new Category("11", "制造业", "31", "通用设备制造业", "394", "轴承、齿轮和传动部件制造"));
            put("443", new Category("22", "电力、热力、燃气及水生产和供应业", "74", "电力、热力生产和供应业", "134", "热力生产和供应"));
            put("835", new Category("23", "卫生和社会工作", "32", "卫生", "401", "妇幼保健院（所、站）"));
            put("374", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "368", "航空、航天器及设备制造"));
            put("663", new Category("24", "金融业", "45", "货币金融服务", "322", "非货币银行服务"));
            put("92", new Category("14", "采矿业", "36", "有色金属矿采选业", "233", "贵金属矿采选"));
            put("462", new Category("22", "电力、热力、燃气及水生产和供应业", "83", "水的生产和供应业", "475", "污水处理及其再生利用"));
            put("412", new Category("11", "制造业", "67", "其他制造业", "388", "煤制品制造"));
            put("489", new Category("12", "建筑业", "104", "土木工程建筑业", "486", "其他土木工程建筑"));
            put("621", new Category("21", "住宿和餐饮业", "100", "餐饮业", "128", "正餐服务"));
            put("363", new Category("11", "制造业", "101", "汽车制造业", "292", "低速载货汽车制造"));
            put("261", new Category("11", "制造业", "22", "化学原料和化学制品制造业", "296", "基础化学原料制造"));
            put("655", new Category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "308", "集成电路设计"));
            put("101", new Category("14", "采矿业", "99", "非金属矿采选业", "277", "土砂石开采"));
            put("942", new Category("19", "公共管理、社会保障和社会组织", "92", "群众团体、社会团体和其他成员组织", "331", "社会团体"));
            put("551", new Category("16", "交通运输、仓储和邮政业", "77", "水上运输业", "356", "水上旅客运输"));
            put("194", new Category("11", "制造业", "11", "皮革、毛皮、羽毛及其制品和制鞋业", "156", "羽毛(绒)加工及制品制造"));
            put("570", new Category("16", "交通运输、仓储和邮政业", "105", "管道运输业", "201", "管道运输业"));
            put("581", new Category("16", "交通运输、仓储和邮政业", "25", "装卸搬运和运输代理业", "123", "装卸搬运"));
            put("183", new Category("11", "制造业", "38", "纺织服装、服饰业", "231", "服饰制造"));
            put("824", new Category("25", "教育", "19", "教育", "359", "高等教育"));
            put("352", new Category("11", "制造业", "55", "专用设备制造业", "228", "化工、木材、非金属加工专用设备制造"));
            put("143", new Category("11", "制造业", "40", "食品制造业", "402", "方便食品制造"));
            put("863", new Category("18", "文化、体育和娱乐业", "49", "广播、电视、电影和影视录音制作业", "291", "电影和影视节目制作"));
            put("331", new Category("11", "制造业", "64", "金属制品业", "115", "结构性金属制品制造"));
            put("435", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "210", "电气设备修理"));
            put("875", new Category("18", "文化、体育和娱乐业", "88", "文化艺术业", "183", "博物馆"));
            put("502", new Category("12", "建筑业", "20", "建筑装饰和其他建筑业", "501", "工程准备活动"));
            put("222", new Category("11", "制造业", "39", "造纸和纸制品业", "335", "造纸"));
            put("432", new Category("11", "制造业", "15", "金属制品、机械和设备修理业", "162", "通用设备修理"));
            put("272", new Category("11", "制造业", "53", "医药制造业", "447", "化学药品制剂制造"));
            put("251", new Category("11", "制造业", "70", "石油加工、炼焦和核燃料加工业", "371", "精炼石油产品制造"));
            put("882", new Category("18", "文化、体育和娱乐业", "13", "体育", "451", "体育场馆"));
            put("359", new Category("11", "制造业", "55", "专用设备制造业", "425", "环保、社会公共服务及其他专用设备制造"));
            put("793", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "290", "洗染服务"));
            put("524", new Category("20", "批发和零售业", "60", "零售业", "448", "文化、体育用品及器材专门零售"));
            put("41", new Category("29", "农、林、牧、渔业", "26", "渔业", "137", "水产养殖"));
            put("911", new Category("19", "公共管理、社会保障和社会组织", "68", "国家机构", "423", "国家权力机构"));
            put("485", new Category("12", "建筑业", "104", "土木工程建筑业", "522", "架线和管道工程建筑"));
            put("744", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "495", "测绘服务"));
            put("384", new Category("11", "制造业", "82", "电气机械和器材制造业", "207", "电池制造"));
            put("651", new Category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "146", "软件开发"));
            put("733", new Category("27", "科学研究和技术服务业", "61", "研究和试验发展", "389", "农业科学研究和试验发展"));
            put("763", new Category("15", "水利、环境和公共设施管理业", "89", "水利管理业", "338", "天然水收集与分配"));
            put("684", new Category("24", "金融业", "34", "保险业", "418", "养老金"));
            put("211", new Category("11", "制造业", "66", "家具制造业", "119", "木质家具制造"));
            put("782", new Category("15", "水利、环境和公共设施管理业", "91", "公共设施管理业", "243", "环境卫生管理"));
            put("232", new Category("11", "制造业", "87", "印刷和记录媒介复制业", "144", "装订及印刷相关服务"));
            put("722", new Category("28", "租赁和商务服务业", "63", "商务服务业", "300", "法律服务"));
            put("654", new Category("10", "信息传输、软件和信息技术服务业", "17", "软件和信息技术服务业", "343", "数据处理和存储服务"));
            put("204", new Category("11", "制造业", "35", "木材加工和木、竹、藤、棕、草制品业", "352", "竹、藤、棕、草等制品制造"));
            put("342", new Category("11", "制造业", "31", "通用设备制造业", "244", "金属加工机械制造"));
            put("323", new Category("11", "制造业", "76", "有色金属冶炼和压延加工业", "397", "稀有稀土金属冶炼"));
            put("839", new Category("23", "卫生和社会工作", "32", "卫生", "496", "其他卫生活动"));
            put("518", new Category("20", "批发和零售业", "81", "批发业", "148", "贸易经纪与代理"));
            put("243", new Category("11", "制造业", "84", "文教、工美、体育和娱乐用品制造业", "159", "工艺美术品制造"));
            put("797", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "361", "婚姻服务"));
            put("366", new Category("11", "制造业", "101", "汽车制造业", "194", "汽车零部件及配件制造"));
            put("893", new Category("18", "文化、体育和娱乐业", "37", "娱乐业", "526", "彩票活动"));
            put("305", new Category("11", "制造业", "73", "非金属矿物制品业", "349", "玻璃制品制造"));
            put("852", new Category("18", "文化、体育和娱乐业", "54", "新闻和出版业", "281", "出版业"));
            put("91", new Category("14", "采矿业", "36", "有色金属矿采选业", "427", "常用有色金属矿采选"));
            put("841", new Category("23", "卫生和社会工作", "57", "社会工作", "485", "提供住宿社会工作"));
            put("52", new Category("29", "农、林、牧、渔业", "44", "农、林、牧、渔服务业", "311", "林业服务业"));
            put("960", new Category("13", "国际组织", "41", "国际组织", "357", "国际组织"));
            put("172", new Category("11", "制造业", "12", "纺织业", "439", "毛纺织及染整精加工"));
            put("930", new Category("19", "公共管理、社会保障和社会组织", "23", "社会保障", "337", "社会保障"));
            put("355", new Category("11", "制造业", "55", "专用设备制造业", "139", "纺织、服装和皮革加工专用设备制造"));
            put("796", new Category("17", "居民服务、修理和其他服务业", "56", "居民服务业", "374", "保健服务"));
            put("377", new Category("11", "制造业", "58", "铁路、船舶、航空航天和其他运输设备制造业", "487", "非公路休闲车及零配件制造"));
            put("334", new Category("11", "制造业", "64", "金属制品业", "419", "金属丝绳及其制品制造"));
            put("131", new Category("11", "制造业", "51", "农副食品加工业", "124", "谷物磨制"));
            put("401", new Category("11", "制造业", "52", "仪器仪表制造业", "204", "通用仪器仪表制造"));
            put("726", new Category("28", "租赁和商务服务业", "63", "商务服务业", "454", "人力资源服务"));
            put("693", new Category("24", "金融业", "90", "其他金融业", "446", "非金融机构支付服务"));
            put("543", new Category("16", "交通运输、仓储和邮政业", "50", "道路运输业", "113", "道路货物运输"));
            put("629", new Category("21", "住宿和餐饮业", "100", "餐饮业", "287", "其他餐饮业"));
            put("349", new Category("11", "制造业", "31", "通用设备制造业", "498", "其他通用设备制造业"));
            put("671", new Category("24", "金融业", "86", "资本市场服务", "340", "证券市场服务"));
            put("803", new Category("17", "居民服务、修理和其他服务业", "29", "机动车、电子产品和日用产品修理业", "285", "家用电器修理"));
            put("301", new Category("11", "制造业", "73", "非金属矿物制品业", "158", "水泥、石灰和石膏制造"));
            put("119", new Category("14", "采矿业", "69", "开采辅助活动", "145", "其他开采辅助活动"));
            put("161", new Category("11", "制造业", "96", "烟草制品业", "476", "烟叶复烤"));
            put("632", new Category("10", "信息传输、软件和信息技术服务业", "85", "电信、广播电视和卫星传输服务", "306", "广播电视传输服务"));
            put("513", new Category("20", "批发和零售业", "81", "批发业", "263", "纺织、服装及家庭用品批发"));
            put("136", new Category("11", "制造业", "51", "农副食品加工业", "297", "水产品加工"));
            put("749", new Category("27", "科学研究和技术服务业", "24", "专业技术服务业", "493", "其他专业技术服务业"));
            put("752", new Category("27", "科学研究和技术服务业", "97", "科技推广和应用服务业", "429", "科技中介服务"));
            put("709", new Category("26", "房地产业", "43", "房地产业", "303", "其他房地产业"));
            put("811", new Category("17", "居民服务、修理和其他服务业", "14", "其他服务业", "396", "清洁服务"));
            put("711", new Category("28", "租赁和商务服务业", "78", "租赁业", "346", "机械设备租赁"));
            put("529", new Category("20", "批发和零售业", "60", "零售业", "358", "货摊、无店铺及其他零售业"));
            put("146", new Category("11", "制造业", "40", "食品制造业", "424", "调味品、发酵制品制造"));
            put("176", new Category("11", "制造业", "12", "纺织业", "179", "针织或钩针编织物及其制品制造"));
            put("358", new Category("11", "制造业", "55", "专用设备制造业", "246", "医疗仪器设备及器械制造"));
            put("682", new Category("24", "金融业", "34", "保险业", "484", "财产保险"));
            put("673", new Category("24", "金融业", "86", "资本市场服务", "125", "证券期货监管服务"));
            put("312", new Category("11", "制造业", "10", "黑色金属冶炼和压延加工业", "279", "炼钢"));


        }
    };

    public static final Map<String, String> CATEGORY_CODE_FIRST_MAP = CATEGORY_MAP.entrySet().stream()
            .map(x -> Arrays.asList(x.getValue().cateFirstCode, x.getValue().cateFirst))
            .distinct().collect(Collectors.toMap(t -> t.get(0), t -> t.get(1), (n, o) -> n));

    public static final Map<String, String> CATEGORY_CODE_SECOND_MAP = CATEGORY_MAP.entrySet().stream()
            .map(x -> Arrays.asList(x.getValue().cateSecondCode, x.getValue().cateSecond))
            .distinct().collect(Collectors.toMap(t -> t.get(0), t -> t.get(1), (n, o) -> n));

    public static final Map<String, String> CATEGORY_CODE_THIRD_MAP = CATEGORY_MAP.entrySet().stream()
            .map(x -> Arrays.asList(x.getValue().cateThirdCode, x.getValue().cateThird))
            .distinct().collect(Collectors.toMap(t -> t.get(0), t -> t.get(1), (n, o) -> n));

    public static String getCategoryCode2Name(String code, String index) {
        switch (index) {
            case "1":
                return CATEGORY_CODE_FIRST_MAP.getOrDefault(code,"");
            case "2":
                return CATEGORY_CODE_SECOND_MAP.getOrDefault(code,"");
            case "3":
                return CATEGORY_CODE_THIRD_MAP.getOrDefault(code,"");
            default:
                throw new RuntimeException("不支持的索引，[1,2,3]");
        }
    }

    public static String getCategoryCode(String code, String index) {
        Category category = Category.CATEGORY_MAP.getOrDefault(code, null);
        if (category == null) {
            return null;
        }
        switch (index) {
            case "1":
                return category.getCateFirstCode();
            case "2":
                return category.getCateSecondCode();
            case "3":
                return category.getCateThirdCode();
            default:
                throw new RuntimeException("不支持的索引，[1,2,3]");
        }
    }

    public static String getCategoryName(String code, String index) {
        Category category = Category.CATEGORY_MAP.getOrDefault(code, Category.NONE_TYPE);
        switch (index) {
            case "1":
                return category.getCateFirst();
            case "2":
                return category.getCateSecond();
            case "3":
                return category.getCateThird();
            default:
                throw new RuntimeException("不支持的索引，[1,2,3]");
        }
    }


    public String getCateFirstCode() {
        return cateFirstCode;
    }

    public String getCateFirst() {
        return cateFirst;
    }

    public String getCateSecondCode() {
        return cateSecondCode;
    }

    public String getCateSecond() {
        return cateSecond;
    }

    public String getCateThirdCode() {
        return cateThirdCode;
    }

    public String getCateThird() {
        return cateThird;
    }


    public String getAllCateCode() {
        return cateFirstCode + "|" + cateSecondCode + "|" + cateThirdCode;
    }

    public static void main(String[] args) {
        System.out.println(getCategoryCode2Name("28", "1"));
        System.out.println(getCategoryCode2Name("63", "2"));
        System.out.println(getCategoryCode2Name("454", "3"));
    }
}
