package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2023/1/30 16:26
 * @Description: 中文长度大于10
 * 刑、民、行、赔、执、号，出现频率大于1
 * 有标点符号
 */
public class CaseNoJudge extends UDF {
    private static final Pattern pattern = Pattern.compile("[^\\u4e00-\\u9fa5]");
    private static final Pattern pattern2 = Pattern.compile(".*[刑行赔].*?[刑行赔].*|.*[号].*?[号].*|.*[民].*?[民].*|.*[执].*?[执].*");

    private static final Pattern pattern3 = Pattern.compile("[^\\u4e00-\\u9fa50-9a-zA-Z()（）]");


    public Boolean evaluate(String caseNo) {
        if (StringUtils.isBlank(caseNo)) return true;
        String t1 = pattern.matcher(caseNo).replaceAll("");
        if (t1.length() >= 10) return false;

        boolean m2 = pattern2.matcher(caseNo).matches();
        if (m2) return false;

        String t3 = pattern3.matcher(caseNo).replaceAll("");
        return t3.length() == caseNo.length();
    }

    public static void main(String[] args) {
        CaseNoJudge j = new CaseNoJudge();
        System.out.println(j.evaluate("穗劳人仲案(2019) 228号"));
        System.out.println(j.evaluate("(2020)粤5122刑初185、(2020)粤51刑终114号"));
        System.out.println(j.evaluate("(2020)粤5122事185、(2020)粤51刑终114号"));
    }
}
