package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 字符串去符号
 */
public class CleanupNotNumber extends UDF {
    private static final Pattern pattern_number = Pattern.compile("[^0-9.]");

    public String evaluate(String s) {
        if (StringUtils.isBlank(s)) return "";
        String s1 = pattern_number.matcher(s).replaceAll("");
        try {
            return new BigDecimal(s1).stripTrailingZeros().toPlainString();
        } catch (Exception e) {
            return "";
        }
    }

    public static void main(String[] args) {
        CleanupNotNumber j = new CleanupNotNumber();
        System.out.println(j.evaluate("38000.00000000万元人民币元"));
    }
}
