package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;
import com.winhc.bigdata.bean.EntityInfo;

import java.util.*;
import java.util.concurrent.atomic.AtomicReference;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Date: 2023/7/27 16:26
 * 招投标转换
 * <p>
 * [{"company_id":"2c9d7aec5ac48c1f505b7cc74123b8f1","name":"西安市公路工程管理处"},{"company_id":"cec3be99b8395225c4c7519f2416f4ee","name":"正衡工程项目管理有限公司"}]
 * 3297737385;3097206773
 * [{"gid":"3097206773","name":"西安市公路工程管理处"}]
 * 招标公告
 */
public class CompanyMonitorTrans extends UDF {

    public String evaluate(String wtbamtInfo) {
        if (StringUtils.isBlank(wtbamtInfo)) return null;

        List<JSONObject> re = JSON.parseArray(wtbamtInfo)
                .toJavaList(JSONObject.class)
                .stream()
                .peek(j -> j.fluentPut("project_bid_money", ""))
                .collect(Collectors.toList());
        return JSONObject.toJSONString(re);
    }

    public static final List<EntityInfo> getEntity(String entity, String id_key, String name_key, String type) {
        if (org.apache.commons.lang3.StringUtils.isBlank(entity)) return Collections.emptyList();
        List<JSONObject> l = JSON.parseArray(entity).toJavaList(JSONObject.class);
        return l.stream().map(x -> {
            String id = x.getString(id_key);
            String name = x.getString(name_key);
            return new EntityInfo(id, name, type);
        }).collect(Collectors.toList());
    }


    public static void main(String[] args) {

    }
}
