package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @author: XuJiakai
 * 2021/1/27 11:38
 */
@SuppressWarnings("all")
public class CompanyOrgTypeTrim extends UDF {
    private static final Pattern pattern = Pattern.compile("[^\\u4e00-\\u9fa5（）()]");

    public String evaluate(String company_name, String company_org_type) {
        if (company_name.contains("有限责任公司")) {
            return "有限责任公司";
        } else if (company_name.contains("股份")) {
            return "股份有限公司";
        } else if (company_name.contains("有限公司")) {
            return "有限责任公司";
        } else {
            if (StringUtils.isEmpty(company_org_type)) {
                return null;
            }
            company_org_type = pattern.matcher(company_org_type).replaceAll("");
            if (StringUtils.isEmpty(company_org_type)) {
                return null;
            }
            if (company_org_type.contains("有限责任公司") || company_org_type.contains("一人有限责任公司") || company_org_type.contains("一人有限责任")) {
                return "有限责任公司";
            } else if (company_org_type.contains("股份")) {
                return "股份有限公司";
            } else if (company_org_type.contains("个人独资企业")) {
                return "独资企业";
            } else if (company_org_type.contains("个人经营") || company_org_type.contains("个体")) {
                return "个体工商户";
            } else if (company_org_type.contains("专业合作") || company_org_type.contains("集体")) {
                return "集体所有制";
            } else if (company_org_type.contains("有限") && company_org_type.contains("合伙")) {
                return "有限合伙";
            } else if (company_org_type.contains("合伙")) {
                return "普通合伙";
            } else if (company_org_type.contains("国有") || company_org_type.contains("全民所有制") || company_org_type.contains("国资")) {
                return "国企";
            } else if (company_org_type.contains("外商") || company_org_type.contains("中外") || company_org_type.contains("外国") || company_org_type.contains("外资")) {
                return "外商投资企业";
            } else if (company_org_type.contains("联营")) {
                return "联营企业";
            } else {
                return null;
            }
        }
    }
}
