package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

/**
 * @author: XuJiakai
 * 2021/4/12 17:44
 */
public class CompanyScoreUdf extends UDF {
    public Double evaluate(Double company_score_w, String company_org_type_std, Long holder_size, Long staff_size, Long tm_size, Long icp_size, Long app_size) {
        Double d = company_score_w
                + calc(holder_size, 5, 2, 5)
                + calc(staff_size, 5, 2, 5)
                + calc(tm_size, 5, 2, 20)
                + calc(icp_size, 5, 1, 5)
                + calc(app_size, 5, 1, 5);
        if (StringUtils.isNotBlank(company_org_type_std) && !"个体工商户".equals(company_org_type_std)) {
            d = d + 1;
        }
        return d;
    }

    private static Double calc(Long size, double total_score, int min_size, int max_size) {
        if (size == null) {
            return 0.0;
        }
        if (size < min_size) {
            return 0.0;
        }
        if (size > max_size) {
            return total_score;
        }
        return total_score / (max_size - min_size + 1) * (size - min_size + 1);
    }
}
