package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2023/1/30 16:26
 */
public class ContentParseError extends UDF {

    private static final Pattern pattern = Pattern.compile("公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}厂|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}场|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}咖|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}站|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}院|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}团|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}业|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}吧|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}堂|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}府|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}行|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}馆|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}城|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}汇|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}店|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}庭|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}铺|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}厅|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}处|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}庄|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}部|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}厦|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}库|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}局|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}矿|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}队|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}会|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}社|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}所|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}寺|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}组|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}宫|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}租赁|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}集团|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}药房|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}船东|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}面包房|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}中心|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}总台|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}支公司|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}浴池|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}分公司|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}基地|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}矿井|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}组织|公司[0-9a-zA-Z\\u4e00-\\u9fa5]{1,8}公寓");
    private static final Pattern pattern2 = Pattern.compile("公司与|公司诉|公司和|公司及");

    public Boolean evaluate(String content) {
        boolean flag = false;
        if (StringUtils.isBlank(content)) return flag;
        Matcher matcher = pattern.matcher(content);
        while (matcher.find()) {
            System.out.println(matcher.group());
            flag = !pattern2.matcher(matcher.group()).matches();
        }
        return flag;
    }

    public static void main(String[] args) {
        ContentParseError j = new ContentParseError();
        System.out.println(j.evaluate("百度公司机械厂"));
        System.out.println(j.evaluate("百度公家司分行"));
        System.out.println(j.evaluate("（2019）沪0117民初8613号上海布聚互联网上网服务有限公司,杭州布家网络科技有限公司： 本院受理原告上海平高企业集团有限公司诉被告上海布聚互联网上网服务有限公司、杭州布家网络科技有限公司房屋租赁合同纠纷一案，已审理终结。现依法向你公告送达（2019）沪0117民初8613号民事判决书。自公告之日起60日内，来本院第十九法庭领取民事判决书，逾期则视为送达。如不服本判决，可在公告期满后15内，向本院递交上诉状及副本，上诉于上海市第一中级人民法院。逾期本判决即发生法律效力。 松江区人民法院 2019年11月15日"));
        System.out.println(j.evaluate("新余江能光伏电业有限公司：本院受理原告赛维LDK光伏科技（新余）工程有限公司与被告新余江能光伏电业有限公司建设工程施工合同纠纷一案。现依法向你公司公告送达本院（2022）赣05民初52号开庭传票、民事诉状、应诉通知书、举证通知书、合议庭成员通知书、权利义务告知书、诉讼风险提示书。自公告之日起经过30日即视为送达。提出答辩状和举证期限均为公告期满后的15日内。并定于举证期满后第3日上午9时00分（遇法定节假日顺延）在本院第四审判庭开庭审理，逾期将依法缺席裁判。二0二二年十一月二日江西省新余市中级人民法院地址：江西省新余市长青北路796号联系电话：0790-6426104"));
    }
}
