package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.aliyun.odps.udf.UDF;
import org.apache.commons.codec.digest.DigestUtils;
import org.apache.commons.lang3.StringUtils;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.util.List;
import java.util.Objects;
import java.util.Optional;
import java.util.stream.Collectors;
import java.util.stream.Stream;

import static com.winhc.bigdata.utils.CompanyUtils.cleanup;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description:
 */
public class DataRemoveKeys extends UDF {





    public String evaluate(String info, String... keys) {
        if (StringUtils.isBlank(info)) return null;

        JSONObject jj = JSONObject.parseObject(info);
        for (String arg : keys) {//当作数组用foreach遍历
            if (arg != null) {
                jj.remove(arg);
            }
        }

        return JSONObject.toJSONString(jj, SerializerFeature.WriteMapNullValue);

    }

    public static void main(String[] args) {
        String info ="{\"area\":\"浙江省杭州市拱墅区\",\"company_name\":\"柳传富\",\"create_time\":\"2023-08-17 17:48:18\",\"decision_date\":\"2023-08-11 00:00:00\",\"deleted\":\"0\",\"department\":\"天水街道办事处\",\"evidence\":\"《杭州市市政设施管理条例》第十九条第（一）项的规定，根据鉴于当事人一年中第一次出现擅自占用城市道路设施的违法行为且现场未立即整改，依据《杭州市市政设施管理条例》第五十八条第一款“擅自占用、挖掘城市道路设施、桥涵设施、城市河道设施的，由城市管理行政执法机关责令行为人停止违法行为，恢复原状，赔偿损失，按规定补交城市道路占用费或城市道路挖掘修复费，并可处二万元以下的罚款。”并参照《杭州市综合行政执法行政处罚裁量基准》，结合当事人的实际违法情节以及《杭州市综合行政执法行政处罚裁量权实施规定》第十二条的规定，对当事人作出如下行政处罚处罚款人民币伍佰元整（¥500.00)。行政处罚执行方式和期限当事人应当自收到本决定书之日起十五日内到中国工商银行杭州市区各营业网点、浙江政务服务网或通过扫描决定书所附二维码缴纳罚款，到期不缴纳罚款的，每日按罚款数额的百分之三加处罚款，不及时缴纳罚款产生的加处罚款最高额不超过本金的规定。\",\"publish_date\":\"2023-08-11 00:00:00\",\"punish_amount\":\"500.0\",\"punish_name\":\"柳传富擅自占用城市道路设施案\",\"punish_number\":\"杭拱天水罚决字〔2023〕第000137号\",\"punish_status\":\"0\",\"reason\":\"违法事实:当事人柳传富于2023年7月7日在浙江省杭州市拱墅区天水街道拱墅区***298号实施了擅自占用城市道路设施的行为，违反了《杭州市市政设施管理条例》第十九条第（一）项的规定，根据鉴于当事人一年中第一次出现擅自占用城市道路设施的违法行为且现场未立即整改，依据《杭州市市政设施管理条例》第五十八条第一款“擅自占用、挖掘城市道路设施、桥涵设施、城市河道设施的，由城市管理行政执法机关责令行为人停止违法行为，恢复原状，赔偿损失，按规定补交城市道路占用费或城市道路挖掘修复费，并可处二万元以下的罚款。”并参照《杭州市综合行政执法行政处罚裁量基准》，结合当事人的实际违法情节以及《杭州市综合行政执法行政处罚裁量权实施规定》第十二条的规定，对当事人作出如下行政处罚:处罚款人民币伍佰元整（¥500.00)。行政处罚执行方式和期限:当事人应当自收到本决定书之日起十五日内到中国工商银行杭州市区各营业网点、浙江政务服务网或通过扫描决定书所附二维码缴纳罚款，到期不缴纳罚款的，每日按罚款数额的百分之三加处罚款，不及时缴纳罚款产生的加处罚款最高额不超过本金的规定。\",\"result\":\"。\",\"rowkey\":\"01e4d6b61668886239984aeabadc3b47\",\"source\":\"https://www.zjzwfw.gov.cn/zjservice/matter/punishment/detail.do?unid=杭拱天水立字〔2023〕第000137号&webid=1&guid=a2c3e3c580b44d979953885be74a15d8\",\"source_flag\":\"0\",\"term\":\"违法事实:当事人柳传富于2023年7月7日在浙江省杭州市拱墅区天水街道拱墅区***298号实施了擅自占用城市道路设施的行为，违反了《杭州市市政设施管理条例》第十九条第（一）项的规定，根据鉴于当事人一年中第一次出现擅自占用城市道路设施的违法行为且现场未立即整改，依据《杭州市市政设施管理条例》第五十八条第一款“擅自占用、挖掘城市道路设施、桥涵设施、城市河道设施的，由城市管理行政执法机关责令行为人停止违法行为，恢复原状，赔偿损失，按规定补交城市道路占用费或城市道路挖掘修复费，并可处二万元以下的罚款。”并参照《杭州市综合行政执法行政处罚裁量基准》，结合当事人的实际违法情节以及《杭州市综合行政执法行政处罚裁量权实施规定》第十二条的规定，对当事人作出如下行政处罚:处罚款人民币伍佰元整（¥500.00)。行政处罚执行方式和期限:当事人应当自收到本决定书之日起十五日内到中国工商银行杭州市区各营业网点、浙江政务服务网或通过扫描决定书所附二维码缴纳罚款，到期不缴纳罚款的，每日按罚款数额的百分之三加处罚款，不及时缴纳罚款产生的加处罚款最高额不超过本金的规定。\",\"type_std\":\"[\\\"罚款\\\"]\",\"update_time\":\"2023-08-17 17:49:06\"}";
        DataRemoveKeys j = new DataRemoveKeys();
        System.out.println(j.evaluate(info,"source"));
    }
}
