package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.util.List;
import java.util.Locale;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 字符串去符号
 */
public class GetHolderInfo extends UDF {

    public List<String> evaluate(String info) {
        if (StringUtils.isBlank(info)) return null;
        JSONObject j1 = JSONObject.parseObject(info);

        return j1.getJSONArray("holder_info").stream().map(item -> {
            JSONObject tj = new JSONObject();
            ((JSONObject) item).forEach((key, value) -> tj.put(key.toLowerCase(Locale.ROOT), replace(value)));
            JSONObject j2 = new JSONObject()
                    .fluentPut("company_id", tj.getString("company_id"))
                    .fluentPut("company_name", tj.getString("company_name"))
                    .fluentPut("holder_name", tj.getString("holder_name"))
                    .fluentPut("invtype_cn", tj.getString("invtype_cn"))
                    .fluentPut("blictype_cn", tj.getString("blictype_cn"))
                    .fluentPut("country_cn", tj.getString("country_cn"))
                    .fluentPut("blicno", tj.getString("blicno"))
                    .fluentPut("update_time", tj.getString("update_time"));

            return j2.toJSONString();
        }).collect(Collectors.toList());
    }

    public String replace(Object value) {
        return value == null ? null : value.toString().replaceAll("\\s", "");
    }

    public static void main(String[] args) {
        String info = "{\"holder_info\":[{\"amount\":100,\"bLicNo\":\"\",\"blicType_CN\":\"\",\"capital\":\"[{\\\"amomon\\\": \\\"100.0万元\\\", \\\"paymet\\\": \\\"\\\", \\\"time\\\": \\\"\\\"}]\",\"capital_actual\":\"\",\"company_id\":\"00001359cc6c7bf3323b36d53af6c6ba\",\"company_name\":\"大连市图书城科雅新文化书店\",\"country_CN\":\"\",\"create_time\":\"2023-06-13 16:36:59\",\"deleted\":0,\"holder_id\":\"\",\"holder_name\":\"张玉莲\",\"holder_type\":1,\"invId\":\"PROVINCENODENUM2100001378267931\",\"invType_CN\":\"自然<span class=\\\"dp\\\">6Ieq54S25Lq66IKh5Lic</span><span class=\\\"dp\\\">6Ieq54S25Lq66IKh5Lic</span>  人  股  东  \",\"liSubConAm\":100,\"percent\":1,\"rowkey\":\"\",\"update_time\":\"2023-06-13 16:36:59\"}]}";
        GetHolderInfo j = new GetHolderInfo();
        System.out.println(j.evaluate(info));
    }
}
