package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author: XuJiakai
 * @Date: 2020/10/14 17:19
 * @Description:
 */
public class IDCardTrim extends UDF {
    private static final Pattern pattern = Pattern.compile("^[1-9]\\d{5}(19|20)\\d{2}((0[1-9])|(1[0-2])|([0-1]\\*{1,2})|\\*{2})(([0-2][1-9])|10|20|30|31|\\*{2})\\d{3}[0-9Xx]$");


    public String evaluate(String val) {
        if (StringUtils.isEmpty(val)) {
            return null;
        }
        Matcher matcher = pattern.matcher(val);
        if (matcher.find()) {
            return val.substring(0, 10) + "****" + val.substring(val.length() - 4).toUpperCase();
        } else {
            return null;
        }
    }
}
