package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONPath;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: XuJiakai
 * 2021/4/12 16:57
 */
public class JsonArray2ListUdf extends UDF {
    public List<String> evaluate(String val, String json_path) {
        if (StringUtils.isBlank(val)) {
            return new ArrayList<>();
        }
        try {
            List<String> list = new ArrayList<>();
            JSONArray jsonArray = ((JSONArray) JSONPath.eval(JSON.parse(val), json_path));
            for (Object o : jsonArray) {
                list.add((String) o);
            }
            return list;
        } catch (Exception e) {
            return new ArrayList<>();
        }
    }

    public static void main(String[] args) {
        JsonArray2ListUdf jsonArray2ListUdf = new JsonArray2ListUdf();
        List<String> evaluate = jsonArray2ListUdf.evaluate("[{\"show\":\"辽阳文圣仪表厂\",\"value\":\"辽阳文圣仪表厂\"},{\"show\":\"辽阳文圣仪表厂\",\"value\":\"辽阳文圣仪表厂1\"}]", "$.value");
        System.out.println(evaluate);
    }

}
