package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.utils.CaseConnectUtils;
import org.apache.commons.lang.StringUtils;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

/**
 * @author: XuJiakai
 * 2021/6/8 11:48
 */
public class JudicialCaseRelationEqu extends UDF {
    private static final Set<String> emptySet = new HashSet<>();

    public Boolean evaluate(String currentCaseParty, String connectCaseParty
            , String currentCaseNo, String connectCaseNo
            , String currentCourtName, String connectCourtName) {

        Set<String> currentCasePartyList = emptySet;
        Set<String> connectCasePartyList = emptySet;

        if (currentCaseNo == null) {
            currentCaseNo = "";
        }
        if (connectCaseNo == null) {
            connectCaseNo = "";
        }
        if (currentCourtName == null) {
            currentCourtName = "";
        }
        if (connectCourtName == null) {
            connectCourtName = "";
        }
        if (!StringUtils.isEmpty(currentCaseParty)) {
            currentCasePartyList = new HashSet<String>(Arrays.asList(currentCaseParty.split("\001")));
        }

        if (!StringUtils.isEmpty(connectCaseParty)) {
            connectCasePartyList = new HashSet<String>(Arrays.asList(connectCaseParty.split("\001")));
        }

        return CaseConnectUtils.isConnect(currentCasePartyList, connectCasePartyList, currentCaseNo, connectCaseNo, currentCourtName, connectCourtName);
    }
}
