package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

/**
 * @Author: XuJiakai
 * @Date: 2020/5/15 16:43
 * @Description: 法院公告 原告被告判断
 */
public class JudriskCourtAnnouncementEqu extends UDF {
    /**
     * 功能描述:法院公告案件生份判断
     *
     * @param companyName 公司名
     * @param personName  人名
     * @param accuser     公诉人/原告/上诉人/申请人
     * @param party       被告人/被告/被上诉人/被申请人
     * @return: java.lang.Integer   0->未知，1->公诉人/原告/上诉人/申请人，2->被告人/被告/被上诉人/被申请人
     * @auther: xjk
     * @date: 2020/5/15 16:46
     */
    public Integer evaluate(String companyName, String personName, String accuser, String party) {
        if (StringUtils.isNotBlank(companyName)) {
            return companyName.equals(accuser) ? 1 : companyName.equals(party) ? 2 : 0;
        }
        if (StringUtils.isNotBlank(personName)) {
            return personName.equals(accuser) ? 1 : personName.equals(party) ? 2 : 0;
        }
        return 0;
    }
}
