package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 企业名称去重
 */
public class NameCleanupV2 extends UDF {
    private static final Pattern pattern = Pattern.compile("[^\\u4e00-\\u9fa5a-zA-Z（）() ·,]");

    public String evaluate(String val) {
        if(StringUtils.isBlank(val)) return "";
        if(val.contains("某")) return "";
        return pattern.matcher(val).replaceAll("");
    }

    public static void main(String[] args) {
        NameCleanupV2 v = new NameCleanupV2();
        System.out.println(v.evaluate("ABB（中国）有限公司"));
        System.out.println(v.evaluate("46陈玉玲"));
        System.out.println(v.evaluate("张某"));
        System.out.println(v.evaluate("TCL—罗格朗国际电工（惠州）有限公司"));
        System.out.println(v.evaluate("DAC中国特别机遇（巴巴多斯）有限公司［DACCHINASOS（BARBADOS）SRL］"));
    }
}


