package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2020/12/16 16:06
 */
public class NameMerge extends UDF {

    public List<String> evaluate(String cname, String names) {
        Set<String> set = new HashSet<>();
        if (org.apache.commons.lang3.StringUtils.isNotBlank(cname)) {
            set.add(cname);
        }
        if (org.apache.commons.lang3.StringUtils.isNotBlank(names)) {
            set.addAll(Arrays.stream(names.split("\t;\t"))
                    .filter(org.apache.commons.lang3.StringUtils::isNotBlank).collect(Collectors.toSet()));
        }
        return set.stream()
                .filter(org.apache.commons.lang3.StringUtils::isNotBlank)
                .map(x -> x.replaceAll("\t;", "")
                        .replaceAll("[（]", "(")
                        .replaceAll("[）]", ")")
                        .trim()).distinct()
                .collect(Collectors.toList());
    }

    public static void main(String[] args) {
        String name = "海美電子有限公司";
        String historyName = "	;	陕西十冶投资开发有限公司";

        List<String> evaluate = new NameMerge().evaluate(name, historyName);
        System.out.println(evaluate);
    }
}
