package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2023/1/30 16:26
 * @Description: 关系切分
 */
public class RelationSplit extends UDF {

    public static final Pattern pp1 = Pattern.compile("^\\((.+?)\\)<-\\[(.+?)]-\\((.+?)\\)$");
    public static final Pattern pp2 = Pattern.compile("^\\((.+?)\\)<--\\((.+?)\\)$");

    public List<String> evaluate(String relation) {
        if (StringUtils.isBlank(relation)) return null;
        Matcher matcher = pp1.matcher(relation);
        if (matcher.matches()) {
            return Arrays.asList(matcher.group(1), matcher.group(2), matcher.group(3), "1");
        }
        Matcher matcher2 = pp2.matcher(relation);
        if (matcher2.matches()) {
            return Arrays.asList(matcher2.group(1), "", matcher2.group(2), "2");
        }
        return null;
    }

    public static void main(String[] args) {
        RelationSplit j = new RelationSplit();
        System.out.println(j.evaluate("(d6b2b7cab5678bead810d637134b3656)<-[0.50776]-(123)"));
        System.out.println(j.evaluate("(f943dcc2c5c80500d1e18bc2f9d36d07)<--(p06098c8f51c3774c234895d952a44a96)"));
    }
}
