package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang.StringUtils;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 案件号提取
 */
public class StringCaseNoExtract extends UDF {

    private static final Pattern pattern = Pattern.compile(".*([（\\(]\\d{4}[）\\)].*?号).*");

    public String evaluate(String val) {
        if (StringUtils.isBlank(val)) {
            return "";
        }
        val = val.replaceAll("(\\r\\n|\\r|\\n|\\n\\r|\\s+)","");
        Matcher matcher = pattern.matcher(val);
        if (matcher.find()) {
            return matcher.replaceAll("$1").replaceAll("\\(","（")
                    .replaceAll("\\)","）");
        }
        return "";
    }

    public static void main(String[] args) {
        String str ="李玉娥：\n" +
                "本院受理原告邢善军诉被告李玉娥、张艳秋房屋买卖合同纠纷一案已审理终结。（2019）黑1002民  初999号现依法向你公告送达（2019）黑1002民  初784号民事判决书。自公告之日起60日内来本院领取民事判决书，逾期则视为送达。如不服本判决，可在公告期满后15日内，向本院递交上诉状及副本，上诉于黑龙江省牡丹江市中级人民法院。逾期本判决即发生法律效力。";
        String str2  ="黑龙江省七台河市中级人民法院\n" +
                "公  告\n" +
                "\nt\t" +
                "（2019）黑09  民初 31号\n" +
                "\n" +
                "牡丹江宝隆置业有限公司：\n" +
                "（2019）黑09民   初33  号\n" +
                "\t\t\t\t\t\t\t\t\t\t 二Ｏ二Ｏ年一月十九日";
        String str3 ="河南中辉起重机有限公司、河南建龙重工机械有限公司、孙建辉、李慧玲、孙建忠、高炎、王红岩：本院受理原告平顶山银行股份有限公司新乡分行诉你们借款合同纠纷一案已审理终结，\n" +
                "现依法向你们公告送达（2019）豫0702民初2396号民事判决书,，判决主要内容如下：一、河南中辉起重机有限公司应于本判决生效之日起十日内偿还平顶山银行股份有限公司新乡分行汇票票款本金500万元及罚息696000元，\n" +
                "并自2019年4月30日至还清之日止按合同约定继续支付罚息；二、平顶山银行股份有限公司新乡分行有权对河南中辉起重机有限公司所有的位于长垣县龙逢大道东侧纬二路北侧的工业用地（他项权证号：长他项(2016）第036号）\n" +
                "、高炎所有的位于新乡市牧野路与新延路十字东北角达安花园3号楼东4单元5层西户的房产（他项权证号：新房他证洪门字第201504393号）、高炎与孙建忠所有的位于长垣县南蒲区美景天城9幢701号的房产\n" +
                "（他项权证号：房他证南蒲区字第201501072号）依法申请拍卖、变卖，并在所得款项中在本判决第一项确定的债权范围内优先受偿；三、河南建龙重工机械有限公司、高炎、孙建忠、王红岩、\n" +
                "孙建辉、李慧玲对本判决第一项确定的债务承担连带清偿责任。如果未按本判决指定的期间履行给付金钱义务，应当依照《中华人民共和国民事诉讼法》第二百五十三条之规定，加倍支付迟延履行期间的债务利息。\n" +
                "案件受理费49566元，由河南中辉起重机有限公司、河南建龙重工机械有限公司、高炎、孙建忠、王红岩、孙建辉、李慧玲负担。自公告之日起60日\n" +
                "内来本院领取民事判决书，逾期即视为送达。如不服本判决，可在公告期满后15日内，向本院递交上诉状及副本，上诉于河南省新乡市中级人民法院。逾期本判决即发生法律效力。";
       String str4 ="普凡生投资（北京）有限公司（“贵司”）：北京市东城区人民法院（2019）京0101清申6号《民事裁定书》裁定受理新街头国际运动休闲（北京）有限公司（“新街头”）强制清算一案，并指定北京观韬中茂律师事务所作为清算组。经核查，新街头系“‘超级得分王’篮球机软件V1.0”的著作权人。清算组针对该项著作权制定了《著作权分配方案》：拟按照股东出资比例分配该著作权，即贵司、柳州市蓝海科技有限公司、中国体育报业总社按照19:19:5的比例作为按份共有人对该项权利共有。清算组向国家企业信用信息公示系统中公示的贵司注册地址、及新街头工商登记资料中登记的贵司股东曹飞的地址邮寄了《著作权分配方案》，但邮件均被退回。鉴于清算组不掌握贵司的其他联系信息，特发布本公告，向贵司告知《著作权分配方案》的内容。贵司应自公告之日起60日内，就是否同意著作权分配方案的内容书面回复清算组（地址：北京市西城区金融大街5号新盛大厦B座18层北京观韬中茂律师事务所；联系人：马南南；联系电话：010-66578066）。逾期未回复，视为同意。新街头国际运动休闲（北京）有限公司清算组";
        String res = new StringCaseNoExtract().evaluate(str);
        System.out.println(res);

        String res2 = new StringCaseNoExtract().evaluate(str2);
        System.out.println(res2);

        String res3 = new StringCaseNoExtract().evaluate(str3);
        System.out.println(res3);
        String res4 = new StringCaseNoExtract().evaluate(str4);
        System.out.println(res4);
    }
}
