package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 去中文
 */
public class StringCleanChineseChar extends UDF {
    private static final Pattern pattern = Pattern.compile("[\\u4e00-\\u9fa50-9a-zA-Z]");

    public String evaluate(String val) {
        return StringUtils.isNotBlank(val) ? pattern.matcher(val).replaceAll("") : "";
    }

    public static void main(String[] args) {
        String res = new StringCleanChineseChar().evaluate("中国，人123,za.早上5");
        System.out.println(res);
    }
}
