package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @author ZhangJi
 * @since 2022-03-30 13:35
 */
public class StringCleanupChangeInfoContent extends UDF {
    private static final Pattern first_p = Pattern.compile("[^\\u4e00-\\u9fa50-9a-zA-Z()（）]");
    private static final Pattern second_p = Pattern.compile("[(（][^(（]+[)）]$");
    private static final Pattern third_p = Pattern.compile("[^\\u4e00-\\u9fa50-9a-zA-Z]");
    private static final Pattern html_p = Pattern.compile("<[^>]+>");

    public String evaluate(String val) {
        if (StringUtils.isEmpty(val)) return "";
        return html_p.matcher(val).replaceAll("");

    }

    public static void main(String[] args) {
        System.out.println(new StringCleanupChangeInfoContent().evaluate("<b>企业基本信息：</b><b>投资人及出资信息：</b>出资方式:货币,出资方式:货币,出资比例:90.0,出资比例:10.0,认缴出资额:180.0,认缴出资额:20.0<br><b>公司基本信息(补充)：</b>出资说明:所认缴的注册资本分期于公司成立之日起20年内缴足。"));
    }
}
