package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 字符串去符号
 */
public class StringCleanupV2 extends UDF {
    private static final Pattern pattern = Pattern.compile("[^\\u4e00-\\u9fa5]");

    public String evaluate(String val) {
        return StringUtils.isNotBlank(val) ? pattern.matcher(val).replaceAll("") : "";
    }

    public static void main(String[] args) {
        StringCleanupV2 j = new StringCleanupV2();
        System.out.println(j.evaluate("123AFzxc詹三000)(.里"));
    }
}
