package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.google.gson.Gson;
import org.apache.commons.lang.StringUtils;

import java.util.HashMap;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: tn 转 id 映射
 */
public class Tn2Flag extends UDF {

    public static HashMap<String, String> map = new HashMap<String, String>() {{
        //映射
        put("company_lawsuit", "0");
        put("wenshu_detail_v2", "0");
        put("company_court_open_announcement", "1");
        put("company_court_announcement", "2");
        put("company_dishonest_info", "3");
        put("company_send_announcement", "4");
        put("company_zxr_restrict", "5");
        put("company_zxr_final_case", "6");
        put("company_zxr", "7");
        put("company_court_register", "8");
    }};

    public String evaluate(String tn) {
        if (StringUtils.isBlank(tn)) return null;
        if (map.containsKey(tn)) {
            return map.get(tn);
        }
        return null;
    }

    public static void main(String[] args) {
        String s = "company_court_register";
        Tn2Flag t = new Tn2Flag();
        System.out.println(t.evaluate(s));
    }
}


