package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.bean.Category;
import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class ToProvinceCode extends UDF {

    public static final Map<String, String> provinceMap = new HashMap<String, String>() {
        {
            put("62","GS");
            put("44","GD");
            put("45","GX");
            put("52","GZ");
            put("46","HAIN");
            put("13","HB");
            put("23","HLJ");
            put("41","HEN");
            put("42","HUB");
            put("43","HUN");
            put("32","JS");
            put("36","JX");
            put("22","JL");
            put("21","LN");
            put("15","NMG");
            put("64","NX");
            put("63","QH");
            put("37","SD");
            put("31","SH");
            put("14","SX");
            put("61","SAX");
            put("51","SC");
            put("12","TJ");
            put("65","XJ");
            put("54","XZ");
            put("53","YN");
            put("33","ZJ");
            put("10","CN");
            put("34","AH");
            put("11","BJ");
            put("50","CQ");
            put("35","FJ");

        }
    };
    public String evaluate(String code) {
        if (StringUtils.isBlank(code)) {
            return "";
        }

        return provinceMap.getOrDefault(code,"");
    }

    public static void main(String[] args) {
        ToProvinceCode j = new ToProvinceCode();
        System.out.println(j.evaluate("35"));
        System.out.println(j.evaluate("32"));
        System.out.println(j.evaluate("88"));
        System.out.println(j.evaluate(""));

    }

}
