package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2023/8/18
 * @Description:
 */
public class UrlMatch extends UDF {


    //    public static final Pattern url_pattern = Pattern.compile("^((http://)|(https://))?(www\\.)?([0-9a-zA-Z\\-_\\u4e00-\\u9fa5]+(\\.[a-zA-Z\\u4e00-\\u9fa5]+){1,2}).*$");
//    public static final Pattern url_pattern = Pattern.compile("^(http:\\\\/\\\\/|https://)?[\\w\\-]+(\\.[\\w\\-]+)*([\\w\\-\\.,@?^=%&:/~\\+#;]*[\\w\\-\\@?^=%&/~\\+#;])?$");
//    public static final Pattern url_pattern = Pattern.compile("^((http(s)?)?:\\/\\/)\\w+[^\\s]+(\\.[^\\s]+){1,}$");
    public static final Pattern url_pattern = Pattern.compile("^((http:\\/\\/)|(https:\\/\\/))?\\w+[^\\s]+(\\.[^\\s]+){1,}$");

//    public Boolean evaluate(String url) {
//        if (StringUtils.isBlank(url)) return false;
//        String re_url = toDBC(url).replaceAll("\\s+", "");
//        if (re_url.contains("@")) return false;
//        if (re_url.contains("http") && re_url.lastIndexOf("http") != 0) {
//            return false;
//        }
//        return url_pattern.matcher(re_url).matches();
//    }

    public String evaluate(String url) {
        if (StringUtils.isBlank(url)) return null;
        String re_url = toDBC(url).replaceAll("\\s+", "");
        if (StringUtils.isBlank(re_url) || re_url.contains("@")) return null;
        if (re_url.contains("http") && re_url.lastIndexOf("http") != 0) {
            return null;
        }
        boolean matches = url_pattern.matcher(re_url).matches();
        if(!matches){
            return null;
        }
        return re_url;
    }

    public static String toDBC(String str) {
        if (str == null) {
            return null;
        }
        char[] c = str.toCharArray();
        for (int i = 0; i < c.length; i++) {
            if (c[i] == '\u3000') {
                c[i] = ' ';
            } else if (c[i] > '\uFF00' && c[i] < '\uFF5F') {
                c[i] = (char) (c[i] - 65248);

            }
        }
        return new String(c);
    }

    public static void main(String[] args) {
        UrlMatch res = new UrlMatch();
        System.out.println(res.evaluate("https://dongmuwangchao.jiyoujia.com/shop/view_shop.htm?@spm=2013.1.w5002-23970198807.2.662c1de7PHwFzD"));
        System.out.println(res.evaluate("https://meisidanli.tmall.com/shop/view_shop.htm?spm=a1z0k.7386009.1997989141.2.239b37de1RmRzi&amp;shop_id=514047593"));
        System.out.println(res.evaluate("2.38 kpd:/ 复制打开抖音，看看【一号泉漂浮温泉酒店的作品】网红打卡一号泉漂浮温泉酒店（6）＃ 一号泉漂浮温泉... https://v.douyin.com/BbVNb7J/"));
        System.out.println(res.evaluate(" http://www.lsgcjs.com"));
        System.out.println(res.evaluate("http：//www.ksplmd.com/"));
        System.out.println(res.evaluate("3085421688"));
        System.out.println(res.evaluate("https://hxcfzp0828.1688.com/"));
        System.out.println(res.evaluate("https://shop1393895117009.1688.com/"));
        System.out.println(res.evaluate("tianyiwenju.1688.com"));
        System.out.println(res.evaluate("http://www.lsgcjs.com"));
        System.out.println(res.evaluate("www.dyhz lc.com"));
    }
}
