package com.winhc.bigdata.udf.biz;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2021/10/26 09:59
 */
public class BinlogParseUpdateFields extends UDF {
    public List<String> evaluate(String data) {
        if (StringUtils.isEmpty(data)) {
            return new ArrayList<>();
        }
        JSONArray array = JSON.parseArray(data);
        if (array.isEmpty()) {
            return new ArrayList<>();
        }
        JSONObject jsonObject = array.getJSONObject(0);
        return jsonObject.keySet().stream().map(String::toLowerCase).collect(Collectors.toList());
    }
}
