package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;
import com.google.common.collect.ImmutableMap;
import com.google.common.collect.ImmutableSet;

import java.util.*;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * @author: π
 * 2021/8/17 16:57
 * 判断id是否需要补充
 */
public class contain_judge extends UDF {

    private static Stream<? extends String> apply(String x) {
        Stream<String> collect = JSON.parseArray(x, Map.class).stream().map(y -> {
            String name = (String) y.getOrDefault("name", "");
            String litigant_id = (String) y.getOrDefault("litigant_id", "");
            return name + "@" + litigant_id;
        });
        return collect;
    }

    public Boolean evaluate(String all_names) {
        if (StringUtils.isBlank(all_names)) return false;
        List<? extends Set<? extends String>> sets = Arrays.asList(all_names.split("\\\\u001", -1))
                .stream()
                .flatMap(contain_judge::apply)
                .collect(Collectors.groupingBy(s -> s.split("@", -1)[0], Collectors.toSet()))
                .entrySet()
                .stream()
                .filter(x -> x.getKey().length() > 0 && x.getValue().size() > 1)
                .map(x -> x.getValue())
                .collect(Collectors.toList());
        System.out.println(sets);
        return !sets.isEmpty() ;
    }


    public static void main(String[] args) {
        //String name = "[{\"name\":\"李倩倩\",\"litigant_id\":\"11\"},{\"name\":\"章静\",\"litigant_id\":\"22\"},{\"name\":\"李三毛\",\"litigant_id\":\"\"}]\\u001[{\"name\":\"李倩倩\",\"litigant_id\":\"\"},{\"name\":\"李三毛\",\"litigant_id\":\"33\"}]";
        //String name = "[{\"name\":\"李倩倩\",\"litigant_id\":\"\"},{\"name\":\"章静\",\"litigant_id\":\"22\"},{\"name\":\"李三毛\",\"litigant_id\":\"33\"}]\\u001[{\"name\":\"李倩倩\",\"litigant_id\":\"11\"},{\"name\":\"李三毛\",\"litigant_id\":\"33\"}]";
        //String name = "[]\\u001[{\"name\":\"\",\"litigant_id\":\"22\"},{\"name\":\"\",\"litigant_id\":\"33\"}]";
        String name = "[{\"name\":\"刘平安\",\"litigant_id\":\"\"},{\"name\":\"泊头市成晟焦化环保设备有限公司\",\"litigant_id\":\"42493dca74332026c02da04752848025\"}]\\u001[{\"name\":\"执行实施类执行通知书\",\"litigant_id\":\"\"}]\\u001[{\"name\":\"李智\",\"litigant_id\":\"p331715d49c35cb01d7e60378c26e3c41\"},{\"name\":\"刘平安\",\"litigant_id\":\"\"},{\"name\":\"泊头市成晟焦化环保设备有限公司\",\"litigant_id\":\"42493dca74332026c02da04752848025\"},{\"name\":\"代朋岐\",\"litigant_id\":\"\"}]\\u001[{\"name\":\"李智\",\"litigant_id\":\"pd4811efabfe7c9b928903f25dac8927b\"},{\"name\":\"刘平安\",\"litigant_id\":\"\"},{\"name\":\"泊头市成晟焦化环保设备有限公司\",\"litigant_id\":\"42493dca74332026c02da04752848025\"},{\"name\":\"代朋岐\",\"litigant_id\":\"\"}]\\u001[{\"name\":\"李智\",\"litigant_id\":\"pd4811efabfe7c9b928903f25dac8927b\"},{\"name\":\"刘平安\",\"litigant_id\":\"\"},{\"name\":\"泊头市成晟焦化环保设备有限公司\",\"litigant_id\":\"42493dca74332026c02da04752848025\"},{\"name\":\"代朋歧\",\"litigant_id\":\"\"}]\\u001[{\"name\":\"泊头市成晟焦化环保设备有限公司\",\"litigant_id\":\"42493dca74332026c02da04752848025\"}]";
        System.out.println(name);
        contain_judge c = new contain_judge();
        System.out.println(c.evaluate(name));
    }

}
