package com.winhc.bigdata.udf.etl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author: XuJiakai
 * 2021/8/24 15:32
 */
public class CompanyZxrRestrictApplicantDup extends UDF {
    private static final String NONE_CONTENT_1 = "[]";
    private static final String NONE_CONTENT_2 = "[{}]";

    public static class Entity  {
        private String litigant_id;
        private String name;

        public Entity(String key, String value) {
            this.litigant_id = key;
            this.name = value;
        }

        public Entity() {
        }

        public String getLitigant_id() {
            return litigant_id;
        }

        public void setLitigant_id(String litigant_id) {
            this.litigant_id = litigant_id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        @Override
        public String toString() {
            return "Entity{" +
                    "key=" + litigant_id +
                    ", value=" + name +
                    '}';
        }

        @Override
        public boolean equals(Object o) {
            if (this == o) {
                return true;
            }

            if (o == null || getClass() != o.getClass()) {
                return false;
            }

            Entity entity = (Entity) o;
            if (entity.name == null) {
                return false;
            }

            return this.name.equals(entity.name);
        }

        @Override
        public int hashCode() {
            return this.name.hashCode();
        }
    }


    public String evaluate(String content) {
        if (StringUtils.isEmpty(content) || NONE_CONTENT_1.equals(content) || NONE_CONTENT_2.equals(content)) {
            return null;
        }
        List<Entity> entities = JSONArray.parseArray(content, Entity.class);
        List<Entity> collect = entities.stream().distinct().collect(Collectors.toList());
        return JSONObject.toJSONString(collect, SerializerFeature.WriteMapNullValue);
    }


    public static void main(String[] args) {
        String content = "[{\"litigant_id\":\"11fd0fca72df466e85600838c29e7042\",\"name\":\"周兴杰\"},{\"litigant_id\":\"49d0d01521644a098a6a0ca0e382ddbe\",\"name\":\"周兴杰\"},{\"litigant_id\":\"ce774d2c73814df5a97d68e8bef075bb\",\"name\":\"周兴杰\"},{\"litigant_id\":\"87dadcfd04214e5894b47c2228fcf8d6\",\"name\":\"周兴杰\"},{\"litigant_id\":\"0bb35b1250ef47faa1de5123e8b8f106\",\"name\":\"周兴杰\"},{\"litigant_id\":\"443e3c01879c432cb2fca2beebb03312\",\"name\":\"周兴杰\"},{\"litigant_id\":\"59472aabf33545ed98ffb176c5c45c10\",\"name\":\"周兴杰\"},{\"litigant_id\":\"8597112ee3d9412d9cd4796d03c800b5\",\"name\":\"周兴杰\"},{\"litigant_id\":\"806584f11c77646e1dd497ade477e468\",\"name\":\"周兴杰\"},{\"litigant_id\":\"31e4b7545cd54fcc9496f4b0d59ca300\",\"name\":\"周兴杰\"},{\"litigant_id\":\"9acdfce0431740429d17a31fd930fe7c\",\"name\":\"周兴杰\"},{\"litigant_id\":\"14ca7d88061244689315441f41017ff5\",\"name\":\"周兴杰\"},{\"litigant_id\":\"494a686d3dde4e5a94ac291e1ce06a91\",\"name\":\"周兴杰\"},{\"litigant_id\":\"c2f7444221a047fca14f8facf7d42bbf\",\"name\":\"周兴杰\"},{\"litigant_id\":\"063ff341f57f292e372aae593ab74a79\",\"name\":\"周兴杰\"},{\"litigant_id\":\"166ab6369ec443e9b5f0652a965f780b\",\"name\":\"周兴杰\"},{\"litigant_id\":\"e00e907b6bbe2e21019266c9d525e534\",\"name\":\"周兴杰\"},{\"litigant_id\":\"a227921e1ae540ea966984eb627ae92a\",\"name\":\"周兴杰\"},{\"litigant_id\":\"7247c9fd0e7b48d48dbb1e69d08eada6\",\"name\":\"周兴杰\"},{\"litigant_id\":\"0b2deec3b70e419895003f006fa6e879\",\"name\":\"周兴杰\"},{\"litigant_id\":\"fe130880645d42b3861b610ee17b2f3e\",\"name\":\"周兴杰\"},{\"litigant_id\":\"b98d85c4cae4f3e3d0a8357876a23be9\",\"name\":\"周兴杰\"}]";
        CompanyZxrRestrictApplicantDup b = new CompanyZxrRestrictApplicantDup();
        String evaluate = b.evaluate(content);
        System.out.println(evaluate);
    }
}
