package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONPath;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @Author: π
 * @Description: 取
 */
public class find_companyid extends UDF {

    public String evaluate(String jsons) {
        if (StringUtils.isBlank(jsons)) {
            return "";
        }

        try {
            HashSet<String> set = new HashSet<>();
            String[] jsonArr = jsons.split("&&", -1);
            for (String json : jsonArr) {
                String[] arr2 = json.split("@@", -1);
                String comapny_id = arr2[0];
                String company_type = arr2[1];
                String deleted = arr2[2];
                if (jsonArr.length == 1) {
                    return comapny_id;
                }
                //company_type = 1 deleted = 0
                if (StringUtils.isNotBlank(company_type) && StringUtils.isNotBlank(deleted) && "1".equals(company_type) && "0".equals(deleted)) {
                    set.add(comapny_id);
                }
            }
            if (set.size() != 1) {
                return "";
            }
            return set.iterator().next();
        } catch (Exception e) {
            return "";
        }
    }


    public static void main(String[] args) {
        String jsons = "10a704a26e011f74b9dac8190d08d3d7@@2@@0&&390cff501246a61c828dacaf24da1b6d@@1@@0";
        find_companyid n = new find_companyid();
        System.out.println(n.evaluate(jsons));
    }

}


