package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONPath;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.*;

/**
 * @Author: π
 * @Description: 获取json里value
 */
public class find_name extends UDF {

    public String evaluate(String jsons, String id) {
        if (StringUtils.isBlank(jsons) || StringUtils.isBlank(id)) {
            return "";
        }
        try {
            String[] jsonArr = jsons.split("&");
            for (String json : jsonArr) {
                String name = parse(json, id);
                if (StringUtils.isNotBlank(name)) {
                    return name;
                }
            }
            return "";
        } catch (Exception e) {
            return "";
        }
    }

    public String parse(String json, String litigant_id) {
        List<Map> list = JSON.parseArray(json, Map.class);
        for (Map m : list) {
            if (m.containsKey("litigant_id") && m.get("litigant_id").equals(litigant_id)) {
                return (String) m.get("name");
            }
        }
        return "";
    }


    public static void main(String[] args) {
        String jsons = "[{\"name\":\"张海林\",\"litigant_id\":\"\"},{\"name\":\"招商银行股份有限公司信用卡中心\",\"litigant_id\":\"cc45eeb0634f73531ba54ad55ba152a6\"}]&[{\"name\":\"上海浦东发展银行静安支行\",\"litigant_id\":\"c2c57fcc6398cfd49393c1a2d3c35a4c\"}]";
        String json_path = "c2c57fcc6398cfd49393c1a2d3c35a4c";
        find_name n = new find_name();
        System.out.println(n.evaluate(jsons, json_path));
    }

}


