package com.winhc.bigdata.udf;

import cn.hutool.json.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.util.*;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2020/12/16 16:06
 */
public class getAllName extends UDF {

    public String evaluate(String json) {
        if (null == json) return null;
        HashMap<String, Map<String, String>> m = new HashMap<>();

        String[] jsonArr = json.split("&");
        for (String j : jsonArr) {
            parse(JSONObject.parseArray(j),m,"name");
        }
        return String.join(",", m.keySet());
    }

    public static void parse(JSONArray name, HashMap<String, Map<String, String>> m, String key) {
        if (null == name || null == m) return;
        name.forEach(x -> {
            JSONObject z = (JSONObject) x;
            String name1 = getKey(z, key);
            String litigant_id1 = getKey(z, "litigant_id");
            if (StringUtils.isNotBlank(name1) && StringUtils.isNotBlank(litigant_id1) && litigant_id1.length() == 32) {
                m.put(name1, null);
            }
        });

    }

    public static String getKey(JSONObject j, String key) {
        if (j == null) return "";
        Object r = j.get(key);
        return r == null ? "" : r.toString();
    }

    public static void main(String[] args) {
        //String name = "[{\"name\":\"中国建设银行股份有限公司济宁古槐路支行\",\"party_title\":\"原告\",\"litigant_id\":\"ac33212c6b434ee51a42c0a3df5cc898\"},{\"name\":\"zhangsan\",\"party_title\":\"原告\",\"litigant_id\":\"1ac33212c6b434ee51a42c0a3df5cc898\"}]";
        String name = "[{\"litigant_id\":\"\",\"name\":\"刘琳\"}]&[{\"litigant_id\":\"54fe548645a86afe794e7fe1655d1c39\",\"name\":\"山东恒鑫伟业胶带有限公司\"}]&[{\"litigant_id\":\"dd7df761fe4e6112132bedbc4d4b103d\",\"name\":\"山东德福食品有限公司\"}]&[{\"litigant_id\":\"p585bc2cf9308fc6c3483617e6a1026d2\",\"name\":\"王强\"}]&[{\"litigant_id\":\"p899391fb5b11857c635a7ae52e7fb5a9\",\"name\":\"汪凤家\"}]";
        String evaluate = new getAllName().evaluate(name);
        System.out.println(evaluate);
    }
}
