package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.text.SimpleDateFormat;
import java.util.Date;

import static com.winhc.bigdata.utils.BigDecimalUtil.div;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: draws 字段规整
 */
public class getBizDate extends UDF {

    public String evaluate(String date) {
        if (StringUtils.isBlank(date)) {
            return null;
        }
        String s = date.replaceAll("年", "-").replaceAll("月", "-")
                .replaceAll("日", "").replaceAll("/", "-");

        if (s.length() >= 10 && isLegalDate(s.substring(0, 10))) {
            return s.substring(0, 10);
        }
        return null;
    }

    public static final Boolean isLegalDate(String date) {
        try {
            String p = "yyyy-MM-dd HH:mm:ss";
            if (date.length() == 10) {
                p = "yyyy-MM-dd";
            }
            SimpleDateFormat fm = new SimpleDateFormat(p);
            Date date1 = fm.parse(date);
            return date.equals(fm.format(date1));
        } catch (Exception e) {
            return false;
        }
    }

    public static void main(String[] args) {
        getBizDate g = new getBizDate();
        System.out.println(g.evaluate("2022-10-15 00:20:35"));
    }
}


