package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.bean.EntityInfo;
import org.apache.commons.lang3.StringUtils;

import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: draws 字段规整
 */
public class getEntity extends UDF {

    public String evaluate(String entity, String id_key, String name_key, String type) {
        if (StringUtils.isBlank(entity)) return "[]";
        List<JSONObject> l = JSON.parseArray(entity).toJavaList(JSONObject.class);
        List<EntityInfo> res = l.stream().map(x -> {
            String id = x.getString(id_key);
            String name = x.getString(name_key);
            return new EntityInfo(id, name, type);
        }).collect(Collectors.toList());
        return JSON.toJSONString(res);
    }

    public static void main(String[] args) {
        getEntity g = new getEntity();
        System.out.println(g.evaluate("[{\"name\": \"中国民用航空总局第二研究所\", \"keyno\": \"e8365c0f59fa889641ac24e5d53e260a\"}]", "keyno", "name", "1"));
    }
}


