package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class get_content extends UDF {

    public List<String> evaluate(String json) {
        if (StringUtils.isBlank(json) || "[]".equalsIgnoreCase(json)) return null;
        try {
            List<JSONObject> rr = JSON.parseArray(json)
                    .toJavaList(JSONObject.class);
            return rr.stream().map(j1 -> {
                String flag = j1.getString("flag");
                String detail_id = j1.getString("detail_id");
                return flag + "@@" + detail_id;
            }).distinct().collect(Collectors.toList());
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }

    }

    public static void main(String[] args) {
        get_content j = new get_content();
        String json = "[{\"flag\":\"0\",\"date\":\"2016-11-18 00:00:00\",\"detail_id\":\"c987a6b2618bff7111b6c49f538b124c\",\"doc_type\":\"裁定书\"}]";
        List<String> evaluate = j.evaluate(json);
        System.out.println(evaluate);
    }

}
