package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class get_content_update extends UDF {

    public String evaluate(String json, String deleted_json) {
        if (StringUtils.isBlank(json) || "[]".equalsIgnoreCase(json)) return null;
        try {
            Map<String, JSONObject> mm = JSON.parseArray(deleted_json)
                    .toJavaList(JSONObject.class)
                    .stream()
                    .collect(Collectors.toMap(x -> x.getString("detail_id") + x.getString("flag"), x -> x, (n, o) -> n));

            List<JSONObject> rr = JSON.parseArray(json)
                    .toJavaList(JSONObject.class);
            List<JSONObject> r2 = rr.stream().peek(j1 -> {
                String id = j1.getString("detail_id") + j1.getString("flag");
                if (mm.containsKey(id)) {
                    j1.fluentPut("deleted", mm.get(id).getString("deleted"));
                }
            }).distinct().collect(Collectors.toList());

            return JSON.toJSONString(r2);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }

    }

    public static void main(String[] args) {
        get_content_update j = new get_content_update();
        String json = "[{\"flag\":\"0\",\"date\":\"2016-11-18 00:00:00\",\"detail_id\":\"0bec8f848e0b78eafb9c3df5fd1381f7\",\"doc_type\":\"裁定书\"},{\"flag\":\"0\",\"date\":\"2016-11-18 00:00:00\",\"detail_id\":\"c32860be4264558793188f3a9c23dbb5\",\"doc_type\":\"裁定书\"}]";
        String detail_json = "[{\"detail_id\":\"0bec8f848e0b78eafb9c3df5fd1381f7\",\"flag\":\"0\",\"deleted\":1},{\"detail_id\":\"c32860be4264558793188f3a9c23dbb5\",\"flag\":\"0\",\"deleted\":0},{\"detail_id\":\"c32860be4264558793188f3a9c23dbb5\",\"flag\":\"6\",\"deleted\":0}]";
        String evaluate = j.evaluate(json, detail_json);
        System.out.println(evaluate);
    }

}
