package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: draws 字段规整
 */
public class get_draws extends UDF {

    public String evaluate(String draw) {
        if (StringUtils.isEmpty(draw)) return null;
        if(draw.startsWith("http")) return draw;
        try {
            List<String> list = JSON.parseArray(draw, String.class);
            if (list.isEmpty()) return null;
            return list.stream()
                    .filter(StringUtils::isNotBlank)
                    .distinct()
                    .collect(Collectors.joining(","));
        } catch (Exception e) {
            return null;
        }
    }

    public static void main(String[] args) {
        get_draws g = new get_draws();
        System.out.println(g.evaluate("[\"http://static.tianyancha.com/patent/abstractPic/CN/U/212/509/CN212509215U_dest_path_EDA0002847163960000011.png\", \"http://static.tianyancha.com/patent/abstractPic/CN/U/212/509/CN212509215U.png\"]"));
        System.out.println(g.evaluate("http://static.tianyancha.com/patent/abstractPic/CN/U/212/509/CN212509215U_dest_path_EDA0002847163960000011.png"));
    }
}


