package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class get_entity extends UDF {

    public List<String> evaluate(String json, String key1, String key2) {
        if (StringUtils.isBlank(json) || "[]".equalsIgnoreCase(json)) return null;
        try {
            List<Map> list1 = JSON.parseArray(json, Map.class);
            List<String> m1 = list1.stream().map(m -> {
                String name = toStringV2(m.getOrDefault(key1, ""));
                String id = toStringV2(m.getOrDefault(key2, ""));
                return name + "@@" + id;
            }).filter(StringUtils::isNotBlank).distinct()
                    .collect(Collectors.toList());
            if (m1.isEmpty()) return null;
            return m1;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }

    }

    public static String toStringV2(Object o) {
        if (null == o) return null;
        return o.toString();
    }

    public static void main(String[] args) {
        get_entity j = new get_entity();
        String json = "[{\"name\":\"冯金元111\",\"id\":\"pbc6c4f933e85850d1c401509877671b0\",\"type\":1,\"deleted\":9},{\"name\":\"冯金元\",\"id\":\"pbc6c4f933e85850d1c401509877671b0\",\"type\":1,\"deleted\":1},{\"name\":\"冯金元2\",\"id\":\"pbc6c4f933e85850d1c401509877671b0\",\"type\":1,\"deleted\":0}]";
        List<String> evaluate = j.evaluate(json,"name","id");
        System.out.println(evaluate);
    }

}
