package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author: π
 * 2022/2/11 16:57
 * @describle: 获取相同key的value
 */
public class get_eq_name extends UDF {
    public String evaluate(String json, String id) {
        if (StringUtils.isBlank(json) || "[]".equals(json) || StringUtils.isBlank(id)) {
            return null;
        }
        List<Map> list = JSON.parseArray(json, Map.class);
        for (Map s : list) {
            String name1 = (String) s.getOrDefault("name", "");
            String litigant_id1 = (String) s.getOrDefault("litigant_id", "");
            if (StringUtils.isNotBlank(litigant_id1) && StringUtils.isNotBlank(name1) && litigant_id1.equals(id)) {
                return name1;
            }
        }
        return null;
    }

    public static void main(String[] args) {
        get_eq_name g = new get_eq_name();
        String json = "[{\"name\":\"北京神州汽车租赁有限公司\",\"litigant_id\":\"3cfbd0eee545602690de455d7c82a51b\"},{\"name\":\"中国人民财产保险股份有限公司北京市分公司\",\"litigant_id\":\"2a7de5114c7980ab0dbaa163c2350394\"}]";
        String id = "2a7de5114c7980ab0dbaa163c2350394";
        System.out.println(g.evaluate(json,id));
    }
}
