package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @author: π
 * 2021/8/30 16:57
 * json中获取企业
 * [{"name":"集贤润生村镇银行有限责任公司","litigant_id":"43b16b0305308727175a9de5d1bd05b4","judge_tendency":"撤诉"}]
 */
public class get_info_company extends UDF {

    public List<String> evaluate(String json) {
        if (StringUtils.isBlank(json) || "[]".equalsIgnoreCase(json)) return null;

        return JSON.parseArray(json).toJavaList(JSONObject.class)
                .stream().map(x -> {
                    String lawyer_info = x.getString("lawyer_info");
                    String litigant_id = x.getString("litigant_id");
                    if (StringUtils.isNotBlank(litigant_id) && litigant_id.length() == 32) {
                        return litigant_id + "@@" + (lawyer_info == null ? "[]" : lawyer_info);
                    } else {
                        return null;
                    }
                }).filter(Objects::nonNull).distinct().collect(Collectors.toList());
    }

    public static void main(String[] args) {
        get_info_company j = new get_info_company();
        String json = "[{\"judge_tendency\":\"对方撤诉\",\"litigant_id\":\"e42974972b293b41bcf6fb219b51c525\",\"name\":\"111\",\"lawyer_info\":[{\"lawfirm_name\":\"福建尚坤律师事务所\",\"lawyer_name\":\"钟开航\"},{\"lawfirm_name\":\"福建尚坤律师事务所\",\"lawyer_name\":\"梁婕\"}]},{\"judge_tendency\":\"对方撤诉\",\"litigant_id\":\"e42974972b293b41bcf6fb219b51c525\",\"name\":\"22\",\"lawyer\":[{\"lawfirm_name\":\"福建尚坤律师事务所\",\"lawyer_name\":\"钟开航\"},{\"lawfirm_name\":\"福建尚坤律师事务所\",\"lawyer_name\":\"梁婕\"}]}]";
        List<String> evaluate = j.evaluate(json);
        System.out.println(evaluate);
    }

}
