package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.JSONPath;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.*;

/**
 * @Author: π
 * @Description: 获取json 里字段
 */
public class get_sqrinfo extends UDF {

    public String evaluate(String applicant_info, String yg_name) {
        if (StringUtils.isBlank(applicant_info)) {
            return null;
        }
        try {
            Map<String, Object> m1 = new HashMap<>();
            String[] jsonArr = applicant_info.split("&");
            for (String json : jsonArr) {
                parse(json, m1);
            }
            if (m1.size() == 1) return JSONObject.toJSONString(m1.values());
            Map<String, Object> m2 = new HashMap<>();
            parse(yg_name, m2);
            if (m2.size() == 1) return JSONObject.toJSONString(m2.values());
            return null;
        } catch (Exception e) {
            return null;
        }
    }

    public void parse(String info, Map<String, Object> m1) {
        if (StringUtils.isBlank(info)) return;
        List<JSONObject> jo = JSON.parseArray(info, JSONObject.class);
        jo.forEach(j1 -> {
            String name = j1.getString("name");
            String litigant_id = j1.getString("litigant_id");
            if (StringUtils.isNotBlank(name)) {
                JSONObject jj = new JSONObject()
                        .fluentPut("name", name)
                        .fluentPut("litigant_id", litigant_id);
                m1.put(name, jj);
            }
        });
    }

    public static void main(String[] args) {
        String jsons = "[{\"name\":\"张海林\",\"litigant_id\":\"\"},{\"name\":\"招商银行股份有限公司信用卡中心\",\"litigant_id\":\"cc45eeb0634f73531ba54ad55ba152a6\"}]&[{\"name\":\"上海浦东发展银行静安支行\",\"litigant_id\":\"c2c57fcc6398cfd49393c1a2d3c35a4c\"}]";
        String yg_name = "[{\"name\":\"招商银行股份有限公司信用卡中心\",\"litigant_id\":\"cc45eeb0634f73531ba54ad55ba152a6\"}]";
        get_sqrinfo n = new get_sqrinfo();
        System.out.println(n.evaluate(jsons, yg_name));
    }

}


