package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 提取文字里字段
 */
public class get_text_from_json extends UDF {

    public String evaluate(String json, String name) {
        if (StringUtils.isEmpty(json)) return "";
        try {
            List<JSONObject> list = JSON.parseArray(json, JSONObject.class);
            if (list.isEmpty()) return "";
            return list.stream().map(d -> d.getString(name))
                    .filter(StringUtils::isNotBlank)
                    .sorted(Comparator.naturalOrder())
                    .collect(Collectors.joining(""));
        } catch (Exception e) {
            return "";
        }
    }

    public static void main(String[] args) {
        get_text_from_json g = new get_text_from_json();
        System.out.println(g.evaluate("[{\"name\": \"广州瑞华健康医疗科技有限公司\", \"keyno\": \"a9bd4f420b5e83d56aa0a8a3d650b587\"}]", "name"));
        System.out.println(g.evaluate("[{\"name\": \"南平市烟草公司邵武分公司\", \"keyno\": \"d00a778bd7d66bdbbd60b7c6c19c1c5a\"}, {\"name\": \"南平市烟草公司光泽分公司\", \"keyno\": \"4ae275469d74618b2c776cadf93c4ae6\"}]","name"));
    }
}


