package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import org.apache.commons.lang3.StringUtils;

import java.util.concurrent.atomic.AtomicBoolean;

/**
 * @author: π
 * 2021/8/30 16:57
 */
public class number_parse extends UDF {


    public Boolean evaluate(String info) {
        AtomicBoolean result = new AtomicBoolean(false);
        if (StringUtils.isBlank(info)) {
            return result.get();
        }

        JSONArray jj = JSON.parseArray(info);
        jj.toJavaList(JSONObject.class)
                .forEach(d -> {
                    String source = d.getString("source");
                    String is_phone = d.getString("is_phone");
                    if (StringUtils.isNotBlank(source) && StringUtils.isNotBlank(is_phone)
                            && !source.contains("年报") && is_phone.equals("1")
                    ) {
                        result.set(true);
                    }
                });
        return result.get();
    }

    public static void main(String[] args) {
        number_parse j = new number_parse();
        System.out.println(j.evaluate("[{\"deleted\":\"0\",\"is_phone\":2,\"tel\":\"0576-82618583\",\"source\":\"2015年\"},{\"deleted\":\"0\",\"is_phone\":1,\"tel\":\"15968660117\",\"source\":\"2017年报\"},{\"deleted\":\"0\",\"is_phone\":2,\"tel\":\"15968660117\",\"source\":\"首商网\"}]"));
        System.out.println(j.evaluate("[{\"deleted\":\"0\",\"is_phone\":2,\"tel\":\"0576-82618583\",\"source\":\"首商网\"},{\"deleted\":\"0\",\"is_phone\":1,\"tel\":\"15968660117\",\"source\":\"首商网\"}]"));
        System.out.println(j.evaluate(""));

    }

}
