package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.UDF;
import com.winhc.bigdata.bean.EntityInfo;
import org.apache.commons.lang3.StringUtils;

import java.util.List;
import java.util.stream.Collectors;

import static com.winhc.bigdata.utils.BigDecimalUtil.div;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: draws 字段规整
 */
public class processMoney extends UDF {

    public Double evaluate(String amt, Integer num) {
        if (StringUtils.isBlank(amt)) return 0D;
        double amtstr;
        amt = amt.replaceAll("[^\\d.]", "");
        if (amt.equals("") || amt.split("\\.").length > 2 || amt.startsWith(".") || amt.endsWith(".")) {
            return 0D;
        }
        try {
            amtstr = amt_div(amt, num.toString(), 6);
        } catch (Exception e) {
            amtstr = 0D;
        }
        return amtstr;
    }

    public static Double amt_div(String amt1, String amt2, Integer length) {
        Double r1;
        if (StringUtils.isBlank(amt1) || StringUtils.isBlank(amt2)) return 0d;
        try {
            r1 = div(amt1, amt2, length);
        } catch (Exception e) {
            r1 = 0d;
        }
        return r1;
    }

    public static void main(String[] args) {
        processMoney g = new processMoney();
        System.out.println(g.evaluate("398646125",10000));
    }
}


