package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 注册资本判断
 */
public class reg_capital_update extends UDF {
    private static final Pattern pattern = Pattern.compile("[^\\u4e00-\\u9fa5]");

    public Boolean evaluate(String reg_capital, Long reg_capital_amount) {
        if(StringUtils.isBlank(reg_capital)){
            return false;
        }
        String r = StringUtils.isNotBlank(reg_capital) ? pattern.matcher(reg_capital).replaceAll("").replaceAll("(万元)|(万)", "") : reg_capital;
        if (r.equals("")) {
            return true;
        }
        return null !=  reg_capital_amount && reg_capital_amount <= 0L;
    }

    public static void main(String[] args) {
        reg_capital_update res = new reg_capital_update();
        System.out.println(res.evaluate("中国，人123,za.早上5元万美元", -5L));
        System.out.println(res.evaluate("", null));
        System.out.println(res.evaluate(null, null));
    }
}
