package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.ArrayList;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Date: 2020/5/14 16:26
 * @Description: 字符串去符号
 */
public class replace_split extends UDF {

    public String evaluate(String name, String historyName, String split) {
        ArrayList<String> list = new ArrayList<>();
        if (StringUtils.isBlank(name) && StringUtils.isBlank(historyName)) {
            return "";
        }

        if (StringUtils.isNotBlank(name)) {
            list.add(name);
        }

        if (StringUtils.isNotBlank(historyName)) {
            String[] arrs = historyName.split("\\t;\\t");
            for (String n : arrs) {
                if (StringUtils.isNotBlank(n)) {
                    String s1 = n.replaceAll("\\t;", "");
                    list.add(s1);
                }
            }
        }
        return String.join(split, list);
    }

    private static final Pattern p = Pattern.compile("^(?<name>.*?)(?<cardNum>[0-9xX*]*?)$");

    public static void main(String[] args) {
        String str = "徐州圣1426231973****081X";
        Matcher matcher = p.matcher(str);
        String cardNum = "";
        String name = "";
        if (matcher.matches()) {
            cardNum = matcher.group("cardNum");
            name = matcher.group("name");
        } else {
            name = str;
        }

        System.out.println("name: " + name);
        System.out.println("cardNum: " + cardNum);
    }
}


