package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.sql.Array;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

/**
 * @Author: π
 * @Description: 经纬度判断或者转换
 */
public class verify extends UDF {

    private static String LONGITUDE = "^[\\-\\+]?(0?\\d{1,2}\\.\\d{1,15}|1[0-7]?\\d{1}\\.\\d{1,15}|180\\.0{1,15})$";
    private static String LATITUDE = "^[\\-\\+]?([0-8]?\\d{1}\\.\\d{1,15}|90\\.0{1,15})$";

    public String evaluate(String longitude, String latitude) {
        StringBuilder s = new StringBuilder();

        if (StringUtils.isNotBlank(longitude) && StringUtils.isNotBlank(latitude)) {
            if (Pattern.matches(LONGITUDE, longitude) && Pattern.matches(LATITUDE, latitude)) {
                s.append(longitude).append(",").append(latitude);

            } else if (Pattern.matches(LONGITUDE, latitude) && Pattern.matches(LATITUDE, longitude)) {
                s.append(latitude).append(",").append(longitude);
            }
        } else {
            s.append(",");
        }
        return s.toString();
    }
}
