package com.winhc.bigdata.udf;

import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.stream.Stream;

/**
 * @Author: π
 * @Description: 校验案号
 */
public class verify_case_no extends UDF {

    private final static Pattern pattern = Pattern.compile("^[（(](\\d{4})[）)][黑吉辽冀甘青陕豫鲁晋皖鄂湘苏川黔云浙赣粤闽台琼新蒙宁桂藏京沪津渝港澳内军兵最].*[\\u4e00-\\u9fa5]{1,3}.*\\d{0,7}.*号.*$");

    public Boolean evaluate(String case_no) {
        if (StringUtils.isBlank(case_no)) return false;
        Matcher matcher = pattern.matcher(case_no);
        if (matcher.matches()) {
//            String year = matcher.group(1);
//            return Integer.parseInt(year) > 2015;
            return true;
        }
        return false;
    }


    public static void main(String[] args) {
        Stream.of("（2021）云0325民初号","（2021）辽1221民初298-2号","（2021）鲁1723刑初号","（2021）云25民初461号","（2016）最高法行申3420号", "(2015)最高法行申3420号", "(2018)最高法行申号", "（2020）京0491民初28109号"
                , "（2017）苏0684民初2250号", "（2012）甬余陆商初字第00001号", "（2013）芜民一初字第01203号")
                .forEach(x -> {
                    verify_case_no g = new verify_case_no();
                    System.out.println(x + " =====> " + g.evaluate(x));
                });

    }

}


